unit AdvCfg1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ProCtrls, IniFiles, StdCtrls, Buttons;

type
  TForm1 = class(TForm)
    BrowseOpenDialog: TOpenDialog;
    ProBorder1: TProBorder;
    MacroProLabelEdit1: TProLabelEdit;
    MacroProLabelEdit2: TProLabelEdit;
    MacroProLabelEdit3: TProLabelEdit;
    MacroProLabelEdit4: TProLabelEdit;
    MacroProLabelEdit5: TProLabelEdit;
    MacroProLabelEdit6: TProLabelEdit;
    MacroProLabelEdit7: TProLabelEdit;
    MacroProLabelEdit8: TProLabelEdit;
    MacroProLabelEdit9: TProLabelEdit;
    MacroProLabelEdit10: TProLabelEdit;
    ProSpeedButton1: TProSpeedButton;
    ProSpeedButton2: TProSpeedButton;
    ProSpeedButton3: TProSpeedButton;
    ProSpeedButton4: TProSpeedButton;
    ProSpeedButton5: TProSpeedButton;
    ProSpeedButton6: TProSpeedButton;
    ProSpeedButton7: TProSpeedButton;
    ProSpeedButton8: TProSpeedButton;
    ProSpeedButton9: TProSpeedButton;
    ProSpeedButton10: TProSpeedButton;
    NoOptionsCheckBox: TCheckBox;
    NoInsertCheckBox: TCheckBox;
    SnapOnCheckBox: TCheckBox;
    NoRecentCheckBox: TCheckBox;
    OKProButton: TProButton;
    CancelProButton: TProButton;
    procedure FormShow(Sender: TObject);
    procedure ProSpeedButton1Click(Sender: TObject);
    procedure ProSpeedButton2Click(Sender: TObject);
    procedure ProSpeedButton3Click(Sender: TObject);
    procedure ProSpeedButton4Click(Sender: TObject);
    procedure ProSpeedButton5Click(Sender: TObject);
    procedure ProSpeedButton6Click(Sender: TObject);
    procedure ProSpeedButton7Click(Sender: TObject);
    procedure ProSpeedButton8Click(Sender: TObject);
    procedure ProSpeedButton9Click(Sender: TObject);
    procedure ProSpeedButton10Click(Sender: TObject);
    procedure OKProButtonClick(Sender: TObject);
    procedure CancelProButtonClick(Sender: TObject);
  private
    { Private declarations }
    JSEIni: TIniFile;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormShow(Sender: TObject);
begin
  try
    JSEIni := TIniFile.Create(ExtractFilePath(Application.ExeName) + 'JSourcEd.ini');

    NoOptionsCheckBox.Checked := JSEIni.ReadBool('General', 'NoOptions', False);
    NoInsertCheckBox.Checked := JSEIni.ReadBool('General', 'NoInsert', False);
    NoRecentCheckBox.Checked := JSEIni.ReadBool('General', 'NoRecent', False);
    SnapOnCheckBox.Checked := not JSEIni.ReadBool('General', 'SnapOn', True);

    MacroProLabelEdit1.Text := JSEIni.ReadString('Macros', '1', '');
    MacroProLabelEdit2.Text := JSEIni.ReadString('Macros', '2', '');
    MacroProLabelEdit3.Text := JSEIni.ReadString('Macros', '3', '');
    MacroProLabelEdit4.Text := JSEIni.ReadString('Macros', '4', '');
    MacroProLabelEdit5.Text := JSEIni.ReadString('Macros', '5', '');
    MacroProLabelEdit6.Text := JSEIni.ReadString('Macros', '6', '');
    MacroProLabelEdit7.Text := JSEIni.ReadString('Macros', '7', '');
    MacroProLabelEdit8.Text := JSEIni.ReadString('Macros', '8', '');
    MacroProLabelEdit9.Text := JSEIni.ReadString('Macros', '9', '');
    MacroProLabelEdit10.Text := JSEIni.ReadString('Macros', '10', '');

    JSEIni.Free;
  except
  end;
end;


procedure TForm1.ProSpeedButton1Click(Sender: TObject);
begin
  BrowseOpenDialog.FileName := MacroProLabelEdit1.Text;
  if BrowseOpenDialog.Execute then
  begin
    MacroProLabelEdit1.Text := BrowseOpenDialog.FileName;
  end;
end;

procedure TForm1.ProSpeedButton2Click(Sender: TObject);
begin
  BrowseOpenDialog.FileName := MacroProLabelEdit2.Text;
  if BrowseOpenDialog.Execute then
  begin
    MacroProLabelEdit2.Text := BrowseOpenDialog.FileName;
  end;
end;

procedure TForm1.ProSpeedButton3Click(Sender: TObject);
begin
  BrowseOpenDialog.FileName := MacroProLabelEdit3.Text;
  if BrowseOpenDialog.Execute then
  begin
    MacroProLabelEdit3.Text := BrowseOpenDialog.FileName;
  end;
end;

procedure TForm1.ProSpeedButton4Click(Sender: TObject);
begin
  BrowseOpenDialog.FileName := MacroProLabelEdit4.Text;
  if BrowseOpenDialog.Execute then
  begin
    MacroProLabelEdit4.Text := BrowseOpenDialog.FileName;
  end;
end;

procedure TForm1.ProSpeedButton5Click(Sender: TObject);
begin
  BrowseOpenDialog.FileName := MacroProLabelEdit5.Text;
  if BrowseOpenDialog.Execute then
  begin
    MacroProLabelEdit5.Text := BrowseOpenDialog.FileName;
  end;
end;

procedure TForm1.ProSpeedButton6Click(Sender: TObject);
begin
  BrowseOpenDialog.FileName := MacroProLabelEdit6.Text;
  if BrowseOpenDialog.Execute then
  begin
    MacroProLabelEdit6.Text := BrowseOpenDialog.FileName;
  end;
end;

procedure TForm1.ProSpeedButton7Click(Sender: TObject);
begin
  BrowseOpenDialog.FileName := MacroProLabelEdit7.Text;
  if BrowseOpenDialog.Execute then
  begin
    MacroProLabelEdit7.Text := BrowseOpenDialog.FileName;
  end;
end;

procedure TForm1.ProSpeedButton8Click(Sender: TObject);
begin
  BrowseOpenDialog.FileName := MacroProLabelEdit8.Text;
  if BrowseOpenDialog.Execute then
  begin
    MacroProLabelEdit8.Text := BrowseOpenDialog.FileName;
  end;
end;

procedure TForm1.ProSpeedButton9Click(Sender: TObject);
begin
  BrowseOpenDialog.FileName := MacroProLabelEdit9.Text;
  if BrowseOpenDialog.Execute then
  begin
    MacroProLabelEdit9.Text := BrowseOpenDialog.FileName;
  end;
end;

procedure TForm1.ProSpeedButton10Click(Sender: TObject);
begin
  BrowseOpenDialog.FileName := MacroProLabelEdit10.Text;
  if BrowseOpenDialog.Execute then
  begin
    MacroProLabelEdit10.Text := BrowseOpenDialog.FileName;
  end;
end;

procedure TForm1.OKProButtonClick(Sender: TObject);
begin
  try
    JSEIni := TIniFile.Create(ExtractFilePath(Application.ExeName) + 'JSourcEd.ini');

    JSEIni.WriteBool('General', 'NoOptions', NoOptionsCheckBox.Checked);
    JSEIni.WriteBool('General', 'NoInsert', NoInsertCheckBox.Checked);
    JSEIni.WriteBool('General', 'NoRecent', NoRecentCheckBox.Checked);
    JSEIni.WriteBool('General', 'SnapOn', not SnapOnCheckBox.Checked);

    JSEIni.WriteString('Macros', '1', MacroProLabelEdit1.Text);
    JSEIni.WriteString('Macros', '2', MacroProLabelEdit2.Text);
    JSEIni.WriteString('Macros', '3', MacroProLabelEdit3.Text);
    JSEIni.WriteString('Macros', '4', MacroProLabelEdit4.Text);
    JSEIni.WriteString('Macros', '5', MacroProLabelEdit5.Text);
    JSEIni.WriteString('Macros', '6', MacroProLabelEdit6.Text);
    JSEIni.WriteString('Macros', '7', MacroProLabelEdit7.Text);
    JSEIni.WriteString('Macros', '8', MacroProLabelEdit8.Text);
    JSEIni.WriteString('Macros', '9', MacroProLabelEdit9.Text);
    JSEIni.WriteString('Macros', '10', MacroProLabelEdit10.Text);

    JSEIni.Free;
  except
  end;

  Close;
end;

procedure TForm1.CancelProButtonClick(Sender: TObject);
begin
  Close;
end;

end.
