{------------------------------------------------------------------------------}
{   GenHTML.pas                                                                }
{                                                                              }
{   Copyright (c) 2001 by Pascal de Bruijn                                     }
{   All rights reserved worldwide                                              }
{                                                                              }
{   JSourcEd is distributed on a GPL license                                   }
{   (http://www.gnu.org/copyleft/gpl.html).                                    }
{                                                                              }
{------------------------------------------------------------------------------}

unit GenHTML;

{------------------------------------------------------------------------------}
interface
{------------------------------------------------------------------------------}

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Spin, ExtCtrls;

type
  TGenerateForm = class(TForm)
    GenerateRadioGroup: TRadioGroup;
    SizeGroupBox: TGroupBox;
    OKButton: TButton;
    CancelButton: TButton;
    HeightLabel: TLabel;
    WidthLabel: TLabel;
    HeightSpinEdit: TSpinEdit;
    WidthSpinEdit: TSpinEdit;
    procedure OKButtonClick(Sender: TObject);
    procedure CancelButtonClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    OKClicked: Boolean;
    Height, Width: Integer;
    What: Integer;
  end;

{------------------------------------------------------------------------------}
implementation
{------------------------------------------------------------------------------}

{$R *.DFM}

{------------------------------------------------------------------------------}

procedure TGenerateForm.OKButtonClick(Sender: TObject);
begin
  OKClicked := True;
  Height := HeightSpinEdit.Value;
  Width := WidthSpinEdit.Value;
  What := GenerateRadioGroup.ItemIndex;
  Close;
end; { OKButtonClick }

{------------------------------------------------------------------------------}

procedure TGenerateForm.CancelButtonClick(Sender: TObject);
begin
  OKClicked := False;
  Close;
end; { CancelButtonClick }

{------------------------------------------------------------------------------}

procedure TGenerateForm.FormShow(Sender: TObject);
begin
  OKClicked := False;
end; { FormShow }

{------------------------------------------------------------------------------}

end. { GenHTML }

