{------------------------------------------------------------------------------}
{   License.pas                                                                }
{                                                                              }
{   Copyright (c) 2001 by Pascal de Bruijn                                     }
{   All rights reserved worldwide                                              }
{                                                                              }
{   JSourcEd is distributed on a GPL license                                   }
{   (http://www.gnu.org/copyleft/gpl.html).                                    }
{                                                                              }
{------------------------------------------------------------------------------}

unit License;

{------------------------------------------------------------------------------}
interface
{------------------------------------------------------------------------------}

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ProDlgs, Buttons;

type
  TLicenseForm = class(TForm)
    LicenseMemo: TMemo;
    MessageLabel: TLabel;
    AcceptSpeedButton: TSpeedButton;
    DeclineSpeedButton: TSpeedButton;
    procedure AcceptButtonClick(Sender: TObject);
    procedure DeclineButtonClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    Accepted: Boolean;
  end;

{------------------------------------------------------------------------------}
implementation
{------------------------------------------------------------------------------}

{$R *.DFM}

{------------------------------------------------------------------------------}

procedure TLicenseForm.AcceptButtonClick(Sender: TObject);
begin
  Accepted := True;
  Close;
end; { AcceptButtonClick }

{------------------------------------------------------------------------------}

procedure TLicenseForm.DeclineButtonClick(Sender: TObject);
begin
  Accepted := False;
  Close;
end; { DeclineButtonClick }

{------------------------------------------------------------------------------}

procedure TLicenseForm.FormCreate(Sender: TObject);
begin
  Accepted := False;
end; { FormCreate }

{------------------------------------------------------------------------------}

end. { License }
