unit RefEdit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, ValEdit, StdCtrls;

type
  TMainForm = class(TForm)
    ValueListEditor1: TValueListEditor;
    CancelButton: TButton;
    OKButton: TButton;
    Label1: TLabel;
    procedure FormShow(Sender: TObject);
    procedure CancelButtonClick(Sender: TObject);
    procedure OKButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.dfm}

procedure TMainForm.FormShow(Sender: TObject);
begin
  try
    ValueListEditor1.Strings.LoadFromFile(ExtractFilePath(Application.ExeName) + 'JSourcEd.ref');
  except
  end;
end;

procedure TMainForm.CancelButtonClick(Sender: TObject);
begin
  Close;
end;

procedure TMainForm.OKButtonClick(Sender: TObject);
begin
  try
    ValueListEditor1.Strings.SaveToFile(ExtractFilePath(Application.ExeName) + 'JSourcEd.ref');
  except
  end;
  Close;
end;

end.
