{------------------------------------------------------------------------------}
{   SourcEd1.pas                                                               }
{                                                                              }
{   Copyright (c) 2001 by Pascal de Bruijn                                     }
{   All rights reserved worldwide                                              }
{                                                                              }
{   JSourcEd is distributed on a GPL license                                   }
{   (http://www.gnu.org/copyleft/gpl.html).                                    }
{                                                                              }
{------------------------------------------------------------------------------}

unit SourcEd1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, ExtCtrls, Menus, Tabnotbk, Buttons, ColorGrd, Spin,
  IniFiles, ProDlgs, ProCalc, ProCtrls, ClipBrd, ProClGrd, ProChLst, GoToLine,
  GenHTML, ProStBar, CRC32, Registry, SnapToEdge, ShellExt, FileCtrl, FileName;

const
  LicenseVer = 265;
  
type
  TMainForm = class(TForm)
    MainMenu: TMainMenu;
    File1: TMenuItem;
    New1: TMenuItem;
    Open1: TMenuItem;
    Save1: TMenuItem;
    SaveAs1: TMenuItem;
    N1: TMenuItem;
    PrinterSetup1: TMenuItem;
    Print1: TMenuItem;
    N2: TMenuItem;
    Exit1: TMenuItem;
    Edit1: TMenuItem;
    Undo1: TMenuItem;
    N3: TMenuItem;
    Cut1: TMenuItem;
    Copy1: TMenuItem;
    Paste1: TMenuItem;
    Delete1: TMenuItem;
    N4: TMenuItem;
    SelectAll1: TMenuItem;
    N5: TMenuItem;
    WordWrap1: TMenuItem;
    Search1: TMenuItem;
    Find1: TMenuItem;
    FindNext1: TMenuItem;
    FindandReplace1: TMenuItem;
    Insert1: TMenuItem;
    AppletTemplate1: TMenuItem;
    PublicMethod1: TMenuItem;
    Void1: TMenuItem;
    N7: TMenuItem;
    Boolean1: TMenuItem;
    Byte1: TMenuItem;
    Short1: TMenuItem;
    Int1: TMenuItem;
    Long1: TMenuItem;
    Float1: TMenuItem;
    Double1: TMenuItem;
    Char1: TMenuItem;
    N8: TMenuItem;
    String1: TMenuItem;
    PrivateMethod1: TMenuItem;
    Void2: TMenuItem;
    N9: TMenuItem;
    Boolean2: TMenuItem;
    Byte2: TMenuItem;
    Short2: TMenuItem;
    Int2: TMenuItem;
    Long2: TMenuItem;
    Float2: TMenuItem;
    Double2: TMenuItem;
    Char2: TMenuItem;
    N10: TMenuItem;
    String2: TMenuItem;
    N6: TMenuItem;
    SeparatorLine1: TMenuItem;
    Compile1: TMenuItem;
    Compile2: TMenuItem;
    Run1: TMenuItem;
    Options1: TMenuItem;
    CompilerPath1: TMenuItem;
    ViewerPath1: TMenuItem;
    N12: TMenuItem;
    MaximizeAtStartup1: TMenuItem;
    Help1: TMenuItem;
    About1: TMenuItem;

    PageControl: TPageControl;
    SourceCodeTabSheet: TTabSheet;
    ErrorMessagesTabSheet: TTabSheet;
    LogbookTabSheet: TTabSheet;
    ProjectSettingsTabSheet: TTabSheet;

    SourceCodeRichEdit: TRichEdit;
    ErrorMessagesRichEdit: TRichEdit;
    LogbookRichEdit: TRichEdit;

    OpenDialog: TOpenDialog;
    SaveDialog: TSaveDialog;
    PrintDialog: TPrintDialog;
    PrinterSetupDialog: TPrinterSetupDialog;
    FindDialog: TFindDialog;
    ReplaceDialog: TReplaceDialog;
    Timer: TTimer;

    Bevel: TBevel;
    PopupMenu1: TPopupMenu;
    Cut2: TMenuItem;
    Copy2: TMenuItem;
    Paste2: TMenuItem;
    Delete2: TMenuItem;
    SpeedPanel: TPanel;
    SpeedBevel: TBevel;
    N13: TMenuItem;
    GotoLineNumber1: TMenuItem;
    BracketCount1: TMenuItem;
    N15: TMenuItem;
    GotoNextMethod1: TMenuItem;
    GotoPreviousMethod1: TMenuItem;
    ProConfirmDialog: TProConfirmDialog;
    ProInfoDialog: TProInfoDialog;
    ProStopDialog: TProStopDialog;
    ProCalcDialog: TProCalcDialog;
    Tools1: TMenuItem;
    Calculator1: TMenuItem;
    Reopen1: TMenuItem;
    RecentFile1: TMenuItem;
    RecentFile2: TMenuItem;
    RecentFile3: TMenuItem;
    RecentFile4: TMenuItem;
    RecentFile5: TMenuItem;
    ProjectSettingsScrollBox: TScrollBox;
    CompilerOptionsGroupBox: TGroupBox;
    DependCheckBox: TCheckBox;
    NowarnCheckBox: TCheckBox;
    VerboseCheckBox: TCheckBox;
    NowriteCheckBox: TCheckBox;
    DeprecationCheckBox: TCheckBox;
    VersionControlGroupBox: TGroupBox;
    DotLabel1: TLabel;
    DotLabel2: TLabel;
    MajorVersionSpinEdit: TSpinEdit;
    StandardVersionSpinEdit: TSpinEdit;
    MinorVersionSpinEdit: TSpinEdit;
    ProgrammingInfoGroupBox: TGroupBox;
    BuildLabel: TLabel;
    BuildTimeLabel: TLabel;
    BuildResultLabel: TLabel;
    BuildTimeResultLabel: TLabel;
    EditorSettingsGroupBox: TGroupBox;
    IndentCheckBox: TCheckBox;
    ToolbarCheckBox: TCheckBox;
    BackupCheckBox: TCheckBox;
    JumpOnErrorCheckBox: TCheckBox;
    CompilerOpenDialog: TOpenDialog;
    ViewerOpenDialog: TOpenDialog;
    SmartRefPanel: TPanel;
    AutoSmartRefCheckBox: TCheckBox;
    ColorDialog: TColorDialog;
    ColorCode1: TMenuItem;
    License1: TMenuItem;
    Restore1: TMenuItem;
    ProWarningDialog: TProWarningDialog;
    Change1: TMenuItem;
    N17: TMenuItem;
    Upper1: TMenuItem;
    Lower1: TMenuItem;
    Proper1: TMenuItem;
    Style1: TMenuItem;
    Invert1: TMenuItem;
    LineCount1: TMenuItem;
    N18: TMenuItem;
    MatchBracket1: TMenuItem;
    Bookmarks1: TMenuItem;
    N19: TMenuItem;
    EditorProColorGrid: TProColorGrid;
    ProjectStageGroupBox: TGroupBox;
    HTMLTabSheet: TTabSheet;
    HTMLRichEdit: TRichEdit;
    Import1: TMenuItem;
    Export1: TMenuItem;
    N20: TMenuItem;
    SourceCode1: TMenuItem;
    ErrorMessages1: TMenuItem;
    HyperTextMarkup1: TMenuItem;
    Logbook1: TMenuItem;
    ProjectSettings1: TMenuItem;
    SourceCode2: TMenuItem;
    ErrorMessages2: TMenuItem;
    HyperTextMarkup2: TMenuItem;
    Logbook2: TMenuItem;
    ProjectSettings2: TMenuItem;
    ImportDialog: TOpenDialog;
    ExportDialog: TSaveDialog;
    ImportLibrary1: TMenuItem;
    EventHandler1: TMenuItem;
    AuthorGroupBox: TGroupBox;
    NameEdit: TEdit;
    NameLabel: TLabel;
    MailLabel: TLabel;
    MailEdit: TEdit;
    HomepageLabel: TLabel;
    HomepageEdit: TEdit;
    SourceSummary1: TMenuItem;
    N22: TMenuItem;
    JarMaker1: TMenuItem;
    GenerateHTMLCode1: TMenuItem;
    DateTime1: TMenuItem;
    BuildBuildTime1: TMenuItem;
    javaapplet1: TMenuItem;
    javaawt1: TMenuItem;
    javaawtevent1: TMenuItem;
    javaawtprint1: TMenuItem;
    javaio1: TMenuItem;
    javautil1: TMenuItem;
    javautildate1: TMenuItem;
    javanet1: TMenuItem;
    javamath1: TMenuItem;
    action1: TMenuItem;
    actionPerformed1: TMenuItem;
    mouseReleased1: TMenuItem;
    mousePressed1: TMenuItem;
    mouseEntered1: TMenuItem;
    mouseExited1: TMenuItem;
    mouseClicked1: TMenuItem;
    keyPressed1: TMenuItem;
    keyReleased1: TMenuItem;
    keyTyped1: TMenuItem;
    windowOpening1: TMenuItem;
    windowClosing1: TMenuItem;
    windowClosed1: TMenuItem;
    windowIconified1: TMenuItem;
    windowDeiconified1: TMenuItem;
    windowActivated1: TMenuItem;
    windowDeactivated1: TMenuItem;
    N11: TMenuItem;
    N14: TMenuItem;
    N21: TMenuItem;
    Header1: TMenuItem;
    N16: TMenuItem;
    N23: TMenuItem;
    N24: TMenuItem;
    SelectAll2: TMenuItem;
    Undo2: TMenuItem;
    UserDefined1: TMenuItem;
    Macro1: TMenuItem;
    Macro2: TMenuItem;
    Macro3: TMenuItem;
    Macro4: TMenuItem;
    Macro5: TMenuItem;
    Macro6: TMenuItem;
    Macro7: TMenuItem;
    Macro8: TMenuItem;
    Macro9: TMenuItem;
    Macro10: TMenuItem;
    PhaseComboBox: TComboBox;
    PhaseLabel: TLabel;
    NotesLabel: TLabel;
    NotesEdit: TEdit;
    ProStatusBar: TProStatusBar;
    CodeChecksum1: TMenuItem;
    AssociateJavaFilesWithJSourcEd1: TMenuItem;
    SeparatorPanel: TPanel;
    ToolbarPageScroller: TPageScroller;
    ContainerPanel: TPanel;
    ProSpeedButton1: TProSpeedButton;
    ProSpeedButton2: TProSpeedButton;
    ProSpeedButton3: TProSpeedButton;
    ProSpeedButton4: TProSpeedButton;
    ProSpeedButton6: TProSpeedButton;
    ProSpeedButton7: TProSpeedButton;
    ProSpeedButton8: TProSpeedButton;
    ProSpeedButton9: TProSpeedButton;
    ProSpeedButton10: TProSpeedButton;
    ProSpeedButton11: TProSpeedButton;
    ProSpeedButton12: TProSpeedButton;
    ProSpeedButton13: TProSpeedButton;
    ProSpeedButton14: TProSpeedButton;
    ProSpeedButton15: TProSpeedButton;
    ProSpeedButton16: TProSpeedButton;
    ProSpeedButton18: TProSpeedButton;
    ProSpeedButton19: TProSpeedButton;
    ProSpeedButton5: TProSpeedButton;
    Bevel7: TBevel;
    Bevel8: TBevel;
    Bevel6: TBevel;
    Bevel5: TBevel;
    Bevel2: TBevel;
    Bevel3: TBevel;
    Bevel1: TBevel;
    Bevel4: TBevel;
    SnapToEdge: TSnapToEdge;
    KeywordPanel: TPanel;
    KeywordCheckBox: TCheckBox;
    SmartRefTextPanel: TPanel;
    KeywordSplitter: TSplitter;
    GetShellExt: TShellExt;
    SetShellExt: TShellExt;
    SetClassPath1: TMenuItem;
    ClassPathProSelDirDialog: TProSelDirDialog;
    FileName1: TMenuItem;

    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure New1Click(Sender: TObject);
    procedure Open1Click(Sender: TObject);
    procedure Save1Click(Sender: TObject);
    procedure SaveAs1Click(Sender: TObject);
    procedure PrinterSetup1Click(Sender: TObject);
    procedure Print1Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure Undo1Click(Sender: TObject);
    procedure Cut1Click(Sender: TObject);
    procedure Copy1Click(Sender: TObject);
    procedure Paste1Click(Sender: TObject);
    procedure Delete1Click(Sender: TObject);
    procedure SelectAll1Click(Sender: TObject);
    procedure WordWrap1Click(Sender: TObject);

    procedure Find1Click(Sender: TObject);
    procedure FindNext1Click(Sender: TObject);
    procedure FindandReplace1Click(Sender: TObject);

    procedure AppletTemplate1Click(Sender: TObject);
    procedure Void1Click(Sender: TObject);
    procedure Boolean1Click(Sender: TObject);
    procedure Byte1Click(Sender: TObject);
    procedure Short1Click(Sender: TObject);
    procedure Int1Click(Sender: TObject);
    procedure Long1Click(Sender: TObject);
    procedure Float1Click(Sender: TObject);
    procedure Double1Click(Sender: TObject);
    procedure Char1Click(Sender: TObject);
    procedure String1Click(Sender: TObject);
    procedure Void2Click(Sender: TObject);
    procedure Boolean2Click(Sender: TObject);
    procedure Byte2Click(Sender: TObject);
    procedure Short2Click(Sender: TObject);
    procedure Int2Click(Sender: TObject);
    procedure Long2Click(Sender: TObject);
    procedure Float2Click(Sender: TObject);
    procedure Double2Click(Sender: TObject);
    procedure Char2Click(Sender: TObject);
    procedure String2Click(Sender: TObject);
    procedure SeparatorLine1Click(Sender: TObject);

    procedure Compile2Click(Sender: TObject);
    procedure Run1Click(Sender: TObject);

    procedure CompilerPath1Click(Sender: TObject);
    procedure ViewerPath1Click(Sender: TObject);
    procedure MaximizeAtStartup1Click(Sender: TObject);

    procedure About1Click(Sender: TObject);

    procedure PageControlChange(Sender: TObject);
    procedure SourceCodeRichEditChange(Sender: TObject);
    procedure ErrorMessagesRichEditChange(Sender: TObject);
    procedure LogbookRichEditChange(Sender: TObject);
    procedure TimerTimer(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure FormDeactivate(Sender: TObject);
    procedure SourceCodeRichEditKeyUp(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure SourceCodeRichEditMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    procedure ErrorMessagesRichEditKeyUp(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure ErrorMessagesRichEditMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    procedure LogbookRichEditKeyUp(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure LogbookRichEditMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    procedure ToolbarCheckBoxClick(Sender: TObject);
    procedure BracketCount1Click(Sender: TObject);
    procedure GotoNextMethod1Click(Sender: TObject);
    procedure GotoPreviousMethod1Click(Sender: TObject);
    procedure GotoLineNumber1Click(Sender: TObject);
    procedure Calculator1Click(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure RecentFileClick(Sender: TObject);
    procedure FindDialogFind(Sender: TObject);
    procedure ReplaceDialogReplace(Sender: TObject);
    procedure AutoSmartRefCheckBoxClick(Sender: TObject);
    procedure ColorCode1Click(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure SourceCodeRichEditSelectionChange(Sender: TObject);
    procedure ErrorMessagesRichEditSelectionChange(Sender: TObject);
    procedure LogbookRichEditSelectionChange(Sender: TObject);
    procedure DependCheckBoxClick(Sender: TObject);
    procedure NowarnCheckBoxClick(Sender: TObject);
    procedure VerboseCheckBoxClick(Sender: TObject);
    procedure NowriteCheckBoxClick(Sender: TObject);
    procedure DeprecationCheckBoxClick(Sender: TObject);
    procedure MajorVersionSpinEditChange(Sender: TObject);
    procedure StandardVersionSpinEditChange(Sender: TObject);
    procedure MinorVersionSpinEditChange(Sender: TObject);
    procedure IndentCheckBoxClick(Sender: TObject);
    procedure JumpOnErrorCheckBoxClick(Sender: TObject);
    procedure BackupCheckBoxClick(Sender: TObject);
    procedure License1Click(Sender: TObject);
    procedure Restore1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Upper1Click(Sender: TObject);
    procedure Lower1Click(Sender: TObject);
    procedure Proper1Click(Sender: TObject);
    procedure Invert1Click(Sender: TObject);
    procedure Style1Click(Sender: TObject);
    procedure LineCount1Click(Sender: TObject);
    procedure MatchBracket1Click(Sender: TObject);
    procedure Bookmarks1Click(Sender: TObject);
    procedure EditorProColorGridChange(Sender: TObject);
    procedure HTMLRichEditChange(Sender: TObject);
    procedure HTMLRichEditKeyUp(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure HTMLRichEditMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    procedure HTMLRichEditSelectionChange(Sender: TObject);
    procedure ImportClick(Sender: TObject);
    procedure ExportClick(Sender: TObject);
    procedure SourceSummary1Click(Sender: TObject);
    procedure JarMaker1Click(Sender: TObject);
    procedure SourceCodeRichEditKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure ErrorMessagesRichEditKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure HTMLRichEditKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure LogbookRichEditKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure NameEditChange(Sender: TObject);
    procedure MailEditChange(Sender: TObject);
    procedure HomepageEditChange(Sender: TObject);
    procedure DateTime1Click(Sender: TObject);
    procedure BuildBuildTime1Click(Sender: TObject);
    procedure GenerateHTMLCode1Click(Sender: TObject);
    procedure javaapplet1Click(Sender: TObject);
    procedure javaawt1Click(Sender: TObject);
    procedure javaawtevent1Click(Sender: TObject);
    procedure javaawtprint1Click(Sender: TObject);
    procedure javaio1Click(Sender: TObject);
    procedure javautil1Click(Sender: TObject);
    procedure javautildate1Click(Sender: TObject);
    procedure javanet1Click(Sender: TObject);
    procedure javamath1Click(Sender: TObject);
    procedure actionPerformed1Click(Sender: TObject);
    procedure mouseReleased1Click(Sender: TObject);
    procedure mousePressed1Click(Sender: TObject);
    procedure mouseEntered1Click(Sender: TObject);
    procedure mouseExited1Click(Sender: TObject);
    procedure mouseClicked1Click(Sender: TObject);
    procedure keyPressed1Click(Sender: TObject);
    procedure keyReleased1Click(Sender: TObject);
    procedure keyTyped1Click(Sender: TObject);
    procedure windowOpening1Click(Sender: TObject);
    procedure windowClosing1Click(Sender: TObject);
    procedure windowClosed1Click(Sender: TObject);
    procedure windowIconified1Click(Sender: TObject);
    procedure windowDeiconified1Click(Sender: TObject);
    procedure windowActivated1Click(Sender: TObject);
    procedure windowDeactivated1Click(Sender: TObject);
    procedure Header1Click(Sender: TObject);
    procedure MacroClick(Sender: TObject);
    procedure CodeChecksum1Click(Sender: TObject);
    procedure AssociateJavaFilesWithJSourcEd1Click(Sender: TObject);
    procedure NotesEditChange(Sender: TObject);
    procedure KeywordCheckBoxClick(Sender: TObject);
    procedure action1Click(Sender: TObject);
    procedure SetClassPath1Click(Sender: TObject);
    procedure FileName1Click(Sender: TObject);
  private
    SmartRefList: TStringList;
    KeywordList: TStringList;

    NoInsert: Boolean;
    UserDefinedMacros: Boolean;

    SavedProject: Boolean;
    CompiledProject: Boolean;

    SourceCodeInsert: Boolean;
    HTMLInsert: Boolean;
    LogbookInsert: Boolean;

    BuildCount: LongInt;
    BuildTime: LongInt;

    SourcEdIni: TIniFile;

    Marker1, Marker2, Marker3, Marker4, Marker5, Marker6, Marker7, Marker8, Marker9, Marker0: LongInt;
    OldLineCount: Integer;

    function WriteProtected(Path: string): Boolean;

    procedure ShiftRecentList;

    procedure LoadLanguageFile;

    procedure SetProjectSettingDefaults;
    procedure LoadProjectSettingsFromFile(FileName: string);
    procedure SaveProjectSettingsToFile(FileName: string);

    procedure SetProjectModified(ChangeCompiled: Boolean);
    procedure SetProjectUnmodified;

    procedure RefreshXYPosIndication;
    procedure RefreshInsertIndication;
    procedure RefreshSmartRef;

    procedure ShowHint(Sender: TObject);

    procedure SysCommand(var Msg: TMessage); message WM_SYSCOMMAND;
  public
  protected
    procedure _WM_GETMINMAXINFO(var MMInfo: TWMGETMINMAXINFO); message WM_GETMINMAXINFO;
  end;

var
  MainForm: TMainForm;

implementation

uses DosProcess, Search, Summary, JarMaker, Bookmark, License, About;

{$R *.DFM}

{------------------------------------------------------------------------------}

function TMainForm.WriteProtected(Path: string): Boolean;
label
  Loop;
var
  F                                     : file;
  NewFile                               : string;
begin
  {$IOCHECKS OFF}
Loop:
  NewFile := ExtractFilePath(Path) + 'JSExxxxx.TMP';
  GetTempFileName(PChar(ExtractFilePath(Path)), 'JSE', 0, PChar(NewFile));
  AssignFile(F, NewFile);
  ReWrite(F);
  CloseFile(F);
  Erase(F);
  if IOResult <> 0 then
  begin
    ProWarningDialog.WarningMessage := 'Your disk in probably write protected, please remove the tab! Press OK to Retry, otherwise press Cancel!';
    if ProWarningDialog.Execute then goto Loop
    else WriteProtected := True;
  end
  else WriteProtected := False;
  {$IOCHECKS ON}
end; { WriteProtected }

{------------------------------------------------------------------------------}

procedure TMainForm.ShiftRecentList;
begin
  if UpperCase(RecentFile1.Hint) <> UpperCase(SaveDialog.FileName) then
  begin
    RecentFile5.Hint := RecentFile4.Hint;
    RecentFile5.Enabled := RecentFile4.Enabled;
    RecentFile5.Visible := RecentFile4.Visible;
    RecentFile5.Caption := '&5  ' + RecentFile5.Hint;
    RecentFile4.Hint := RecentFile3.Hint;
    RecentFile4.Enabled := RecentFile3.Enabled;
    RecentFile4.Visible := RecentFile3.Visible;
    RecentFile4.Caption := '&4  ' + RecentFile4.Hint;
    RecentFile3.Hint := RecentFile2.Hint;
    RecentFile3.Enabled := RecentFile2.Enabled;
    RecentFile3.Visible := RecentFile2.Visible;
    RecentFile3.Caption := '&3  ' + RecentFile3.Hint;
    RecentFile2.Hint := RecentFile1.Hint;
    RecentFile2.Enabled := RecentFile1.Enabled;
    RecentFile2.Visible := RecentFile1.Visible;
    RecentFile2.Caption := '&2  ' + RecentFile2.Hint;
    RecentFile1.Hint := ExpandFileName(SaveDialog.FileName);
    RecentFile1.Enabled := True;
    RecentFile1.Visible := True;
    RecentFile1.Caption := '&1  ' + RecentFile1.Hint;
  end;
end; { ShiftRecentList }

{------------------------------------------------------------------------------}

procedure TMainForm.LoadLanguageFile;
// This is still experimental, not all captions are supported!
var
  LangIni                            : TIniFile;
begin
  if FileExists(ChangeFileExt(Application.ExeName, '.lng')) then
  begin
    LangIni := TIniFile.Create(ChangeFileExt(Application.ExeName, '.lng'));

    try
      File1.Caption := LangIni.ReadString('File1', 'File1.Caption', '');
      New1.Caption := LangIni.ReadString('File1', 'New1.Caption', '');
      Open1.Caption := LangIni.ReadString('File1', 'Open1.Caption', '');
      Reopen1.Caption := LangIni.ReadString('File1', 'Reopen1.Caption', '');
      Restore1.Caption := LangIni.ReadString('File1', 'Restore1.Caption', '');
      Save1.Caption := LangIni.ReadString('File1', 'Save1.Caption', '');
      SaveAs1.Caption := LangIni.ReadString('File1', 'SaveAs1.Caption', '');
      Import1.Caption := LangIni.ReadString('File1', 'Import1.Caption', '');
      Export1.Caption := LangIni.ReadString('File1', 'Export1.Caption', '');
      PrinterSetup1.Caption := LangIni.ReadString('File1', 'PrinterSetup1.Caption', '');
      Print1.Caption := LangIni.ReadString('File1', 'Print1.Caption', '');
      Exit1.Caption := LangIni.ReadString('File1', 'Exit1.Caption', '');

      Edit1.Caption := LangIni.ReadString('Edit1', 'Edit1.Caption', 't');
      Undo1.Caption := LangIni.ReadString('Edit1', 'Undo1.Caption', '');
      Undo2.Caption := LangIni.ReadString('Edit1', 'Undo1.Caption', 'o');
      Cut1.Caption := LangIni.ReadString('Edit1', 'Cut1.Caption', '');
      Cut2.Caption := LangIni.ReadString('Edit1', 'Cut1.Caption', '');
      Copy1.Caption := LangIni.ReadString('Edit1', 'Copy1.Caption', '');
      Copy2.Caption := LangIni.ReadString('Edit1', 'Copy1.Caption', '');
      Paste1.Caption := LangIni.ReadString('Edit1', 'Paste1.Caption', '');
      Paste2.Caption := LangIni.ReadString('Edit1', 'Paste1.Caption', '');
      Delete1.Caption := LangIni.ReadString('Edit1', 'Delete1.Caption', '');
      Delete2.Caption := LangIni.ReadString('Edit1', 'Delete1.Caption', '');
      Change1.Caption := LangIni.ReadString('Edit1', 'Change1.Caption', '');
      Upper1.Caption := LangIni.ReadString('Edit1', 'Upper1.Caption', '');
      Lower1.Caption := LangIni.ReadString('Edit1', 'Lower1.Caption', '');
      Proper1.Caption := LangIni.ReadString('Edit1', 'Proper1.Caption', '');
      Invert1.Caption := LangIni.ReadString('Edit1', 'Invert1.Caption', '');
      Style1.Caption := LangIni.ReadString('Edit1', 'Style1.Caption', '');
      SelectAll1.Caption := LangIni.ReadString('Edit1', 'SelectAll1.Caption', '');
      SelectAll2.Caption := LangIni.ReadString('Edit1', 'SelectAll1.Caption', '');
      WordWrap1.Caption := LangIni.ReadString('Edit1', 'WordWrap1.Caption', '');

      Search1.Caption := LangIni.ReadString('Search1', 'Search1.Caption', '');
      Find1.Caption := LangIni.ReadString('Search1', 'Find1.Caption', '');
      FindNext1.Caption := LangIni.ReadString('Search1', 'FindNext1.Caption', '');
      FindandReplace1.Caption := LangIni.ReadString('Search1', 'FindandReplace1.Caption', '');
      GotoLineNumber1.Caption := LangIni.ReadString('Search1', 'GotoLineNumber1.Caption', '');
      GotoNextMethod1.Caption := LangIni.ReadString('Search1', 'GotoNextMethod1.Caption', '');
      GotoPreviousMethod1.Caption := LangIni.ReadString('Search1', 'GotoPreviousMethod1.Caption', '');
      MatchBracket1.Caption := LangIni.ReadString('Search1', 'MatchBracket1.Caption', '');

      Insert1.Caption := LangIni.ReadString('Insert1', 'Insert1.Caption', '');
      Header1.Caption := LangIni.ReadString('Insert1', 'Header1.Caption', '');
      SeparatorLine1.Caption := LangIni.ReadString('Insert1', 'SeparatorLine1.Caption', '');
      ImportLibrary1.Caption := LangIni.ReadString('Insert1', 'ImportLibrary1.Caption', '');
      AppletTemplate1.Caption := LangIni.ReadString('Insert1', 'AppletTemplate1.Caption', '');
      PublicMethod1.Caption := LangIni.ReadString('Insert1', 'PublicMethod1.Caption', '');
      PrivateMethod1.Caption := LangIni.ReadString('Insert1', 'PrivateMethod1.Caption', '');
      EventHandler1.Caption := LangIni.ReadString('Insert1', 'EventHandler1.Caption', '');
      UserDefined1.Caption := LangIni.ReadString('Insert1', 'UserDefined1.Caption', '');
      ColorCode1.Caption := LangIni.ReadString('Insert1', 'ColorCode1.Caption', '');
      GenerateHTMLCode1.Caption := LangIni.ReadString('Insert1', 'GenerateHTMLCode1.Caption', '');
      DateTime1.Caption := LangIni.ReadString('Insert1', 'DateTime1.Caption', '');
      BuildBuildTime1.Caption := LangIni.ReadString('Insert1', 'BuildBuildTime1.Caption', '');

      Compile1.Caption := LangIni.ReadString('Compile1', 'Compile1.Caption', '');
      Compile2.Caption := LangIni.ReadString('Compile1', 'Compile2.Caption', '');
      Run1.Caption := LangIni.ReadString('Compile1', 'Run1.Caption', '');

      Tools1.Caption := LangIni.ReadString('Tools1', 'Tools1.Caption', '');
      SourceSummary1.Caption := LangIni.ReadString('Tools1', 'SourceSummary1.Caption', '');
      BracketCount1.Caption := LangIni.ReadString('Tools1', 'BracketCount1.Caption', '');
      LineCount1.Caption := LangIni.ReadString('Tools1', 'LineCount1.Caption', '');
      CodeChecksum1.Caption := LangIni.ReadString('Tools1', 'CodeChecksum1.Caption', '');
      JarMaker1.Caption := LangIni.ReadString('Tools1', 'JarMaker1.Caption', '');
      Calculator1.Caption := LangIni.ReadString('Tools1', 'Calculator1.Caption', '');

      Options1.Caption := LangIni.ReadString('Options1', 'Options1.Caption', '');
      CompilerPath1.Caption := LangIni.ReadString('Options1', 'CompilerPath1.Caption', '');
      ViewerPath1.Caption := LangIni.ReadString('Options1', 'ViewerPath1.Caption', '');
      SetClassPath1.Caption := LangIni.ReadString('Options1', 'SetClassPath1.Caption', '');
      MaximizeAtStartup1.Caption := LangIni.ReadString('Options1', 'MaximizeAtStartup1.Caption', '');

      Help1.Caption := LangIni.ReadString('Help1', 'Help1.Caption', '');
      Bookmarks1.Caption := LangIni.ReadString('Help1', 'Bookmarks1.Caption', '');
      License1.Caption := LangIni.ReadString('Help1', 'License1.Caption', '');
      About1.Caption := LangIni.ReadString('Help1', 'About1.Caption', '');

      SourceCodeTabSheet.Caption := LangIni.ReadString('TabSheets', 'SourceCodeTabSheet.Caption', '');
      ErrorMessagesTabSheet.Caption := LangIni.ReadString('TabSheets', 'ErrorMessagesTabSheet.Caption', '');
      HTMLTabSheet.Caption := LangIni.ReadString('TabSheets', 'HTMLTabSheet.Caption', '');
      LogbookTabSheet.Caption := LangIni.ReadString('TabSheets', 'LogbookTabSheet.Caption', '');
      ProjectSettingsTabSheet.Caption := LangIni.ReadString('TabSheets', 'ProjectSettingsTabSheet.Caption', '');

      SourceCode1.Caption := LangIni.ReadString('TabSheets', 'SourceCodeTabSheet.Caption', '');
      ErrorMessages1.Caption := LangIni.ReadString('TabSheets', 'ErrorMessagesTabSheet.Caption', '');
      HyperTextMarkup1.Caption := LangIni.ReadString('TabSheets', 'HTMLTabSheet.Caption', '');
      Logbook1.Caption := LangIni.ReadString('TabSheets', 'LogbookTabSheet.Caption', '');
      ProjectSettings1.Caption := LangIni.ReadString('TabSheets', 'ProjectSettingsTabSheet.Caption', '');

      SourceCode2.Caption := LangIni.ReadString('TabSheets', 'SourceCodeTabSheet.Caption', '');
      ErrorMessages2.Caption := LangIni.ReadString('TabSheets', 'ErrorMessagesTabSheet.Caption', '');
      HyperTextMarkup2.Caption := LangIni.ReadString('TabSheets', 'HTMLTabSheet.Caption', '');
      Logbook2.Caption := LangIni.ReadString('TabSheets', 'LogbookTabSheet.Caption', '');
      ProjectSettings2.Caption := LangIni.ReadString('TabSheets', 'ProjectSettingsTabSheet.Caption', '');


//    1.Caption := LangIni.ReadString('Edit1', '1.Caption', '');
//    1.Caption := LangIni.ReadString('Edit1', '1.Caption', '');

    finally
      LangIni.Free;
    end;
  end;
end; { LoadLanguageFile }

{------------------------------------------------------------------------------}

procedure TMainForm._WM_GETMINMAXINFO(var MMInfo: TWMGETMINMAXINFO);
begin
  with MMInfo do
  begin
    MinMaxInfo^.PtMaxPosition.x := 0;
    MinMaxInfo^.PtMaxPosition.y := 0;
    MinMaxInfo^.PtMaxSize.x := GetSystemMetrics(SM_CXMAXIMIZED);
    MinMaxInfo^.PtMaxSize.y := GetSystemMetrics(SM_CYMAXIMIZED);
    MinMaxInfo^.PtMinTrackSize.x := 360;
    MinMaxInfo^.PtMinTrackSize.y := 240;
  end;
end; { _WM_GETMINMAXINFO }

{------------------------------------------------------------------------------}

procedure TMainForm.RefreshSmartRef;
var
  X, Y                              : LongInt;
  StartPos, EndPos                  : LongInt;
  Line                              : string;
  Ref                               : string;
begin
  X := SourceCodeRichEdit.SelStart + SourceCodeRichEdit.SelLength - SourceCodeRichEdit.Perform(EM_LINEINDEX, -1, 0) + 1;
  Y := LongRec(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0)).Lo;
  Line := SourceCodeRichEdit.Lines[Y] + ' ';

  if Length(Line) > 0 then
  begin
    for StartPos := X-1 downto 1 do
    begin
      if not (Line[StartPos] in ['a'..'z','A'..'Z','0'..'9']) then Break;
    end;
    for EndPos := X to Length(Line) do
    begin
      if not (Line[EndPos] in ['a'..'z','A'..'Z','0'..'9']) then Break;
    end;
  end
  else
  begin
    StartPos := 0;
    EndPos := 0;
  end;

  Ref := UpperCase(Copy(Line, StartPos + 1, EndPos - StartPos - 1));

  SmartRefTextPanel.Caption := SmartRefList.Values[Ref];
  SmartRefTextPanel.Refresh;
  if (KeywordCheckBox.Checked) and (KeywordList.IndexOf(Ref) > -1) then
  begin
    KeywordPanel.Caption := '*';
    KeywordPanel.Hint := LowerCase(Ref) + ' is a keyword';
  end
  else
  begin
    KeywordPanel.Caption := '';
    KeywordPanel.Hint := LowerCase(Ref) + ' is not a keyword';
  end;
end; { RefreshSmartRef }

{------------------------------------------------------------------------------}

procedure TMainForm.SetProjectModified(ChangeCompiled: Boolean);
begin
  SavedProject := False;
  ProStatusBar.Panels.Items[1].Text := 'Modified';
  if ChangeCompiled then CompiledProject := False;
  ProSpeedButton3.Enabled := True;
end; { SetProjectModified }

{------------------------------------------------------------------------------}

procedure TMainForm.SetProjectUnmodified;
begin
  SavedProject := True;
  ProStatusBar.Panels.Items[1].Text := 'Unmodified';
  ProSpeedButton3.Enabled := False;
end; { SetProjectUnmodified }

{------------------------------------------------------------------------------}

procedure TMainForm.SetProjectSettingDefaults;
begin
  DependCheckBox.Checked := False;
  NowarnCheckBox.Checked := False;
  VerboseCheckBox.Checked := False;
  NowriteCheckBox.Checked := False;
  DeprecationCheckBox.Checked := False;
  MajorVersionSpinEdit.Value := 0;
  StandardVersionSpinEdit.Value := 0;
  MinorVersionSpinEdit.Value := 0;
  BuildCount := 0;
  BuildResultLabel.Caption := IntToStr(BuildCount);
  BuildTime := 0;
  BuildTimeResultLabel.Caption := IntToStr(BuildTime);
  ToolbarCheckBox.Checked := True;
  IndentCheckBox.Checked := True;
  AutoSmartRefCheckBox.State := cbChecked;
  JumpOnErrorCheckBox.Checked := True;
  BackupCheckBox.Checked := True;
  EditorProColorGrid.ForeIndex := 0;
  EditorProColorGrid.BackIndex := 15;
  NameEdit.Text := '';
  MailEdit.Text := '';
  HomepageEdit.Text := '';
  NotesEdit.Text := '';
  PhaseComboBox.Text := 'Analysis';
  Marker1 := -1;
  Marker2 := -1;
  Marker3 := -1;
  Marker4 := -1;
  Marker5 := -1;
  Marker6 := -1;
  Marker7 := -1;
  Marker8 := -1;
  Marker9 := -1;
  Marker0 := -1;
end; { SetProjectSettingDefaults }

{------------------------------------------------------------------------------}

procedure TMainForm.LoadProjectSettingsFromFile(FileName: string);
var
  ProjectIni                                 : TIniFile;
  LineStart, I                               : Integer;
begin
  ProjectIni := TIniFile.Create(FileName);
  try
    DependCheckBox.Checked := ProjectIni.ReadBool('CompilerOptions', 'Depend', False);
    NowarnCheckBox.Checked := ProjectIni.ReadBool('CompilerOptions', 'Nowarn', False);
    VerboseCheckBox.Checked := ProjectIni.ReadBool('CompilerOptions', 'Verbose', False);
    NowriteCheckBox.Checked := ProjectIni.ReadBool('CompilerOptions', 'Nowrite', False);
    DeprecationCheckBox.Checked := ProjectIni.ReadBool('CompilerOptions', 'Deprecation', False);
    MajorVersionSpinEdit.Value := ProjectIni.ReadInteger('VersionControl', 'MajorVersion', 0);
    StandardVersionSpinEdit.Value := ProjectIni.ReadInteger('VersionControl', 'StandardVersion', 0);
    MinorVersionSpinEdit.Value := ProjectIni.ReadInteger('VersionControl', 'MinorVersion', 0);
    BuildCount := ProjectIni.ReadInteger('ProgrammingInfo', 'Build', 0);
    BuildResultLabel.Caption := IntToStr(BuildCount);
    BuildTime := ProjectIni.ReadInteger('ProgrammingInfo', 'BuildTime', 0);
    BuildTimeResultLabel.Caption := IntToStr(BuildTime);
    ToolbarCheckBox.Checked := ProjectIni.ReadBool('EditorSettings', 'ShowToolbar', True);
    IndentCheckBox.Checked := ProjectIni.ReadBool('EditorSettings', 'AutoIndent', True);
    AutoSmartRefCheckBox.State := TCheckBoxState(ProjectIni.ReadInteger('EditorSettings', 'AutoRef', Ord(cbChecked)));
    KeywordCheckBox.Checked := ProjectIni.ReadBool('EditorSettings', 'Keywords', True);
    JumpOnErrorCheckBox.Checked := ProjectIni.ReadBool('EditorSettings', 'JumpOnError', True);
    BackupCheckBox.Checked := ProjectIni.ReadBool('EditorSettings', 'BackupSourceCode', True);
    EditorProColorGrid.ForeIndex := ProjectIni.ReadInteger('EditorSettings', 'ForegroundIndex', 0);
    EditorProColorGrid.BackIndex := ProjectIni.ReadInteger('EditorSettings', 'BackgroundIndex', 15);
    NameEdit.Text := ProjectIni.ReadString('AuthorInfo', 'Name', '');
    MailEdit.Text := ProjectIni.ReadString('AuthorInfo', 'Email', '');
    HomepageEdit.Text := ProjectIni.ReadString('AuthorInfo', 'Homepage', '');
    NotesEdit.Text := ProjectIni.ReadString('AuthorInfo', 'Notes', '');
    PhaseComboBox.Text := ProjectIni.ReadString('Development', 'Phase', 'Analysis');
    Marker1 := ProjectIni.ReadInteger('Markers', '1', -1);
    Marker2 := ProjectIni.ReadInteger('Markers', '2', -1);
    Marker3 := ProjectIni.ReadInteger('Markers', '3', -1);
    Marker4 := ProjectIni.ReadInteger('Markers', '4', -1);
    Marker5 := ProjectIni.ReadInteger('Markers', '5', -1);
    Marker6 := ProjectIni.ReadInteger('Markers', '6', -1);
    Marker7 := ProjectIni.ReadInteger('Markers', '7', -1);
    Marker8 := ProjectIni.ReadInteger('Markers', '8', -1);
    Marker9 := ProjectIni.ReadInteger('Markers', '9', -1);
    Marker0 := ProjectIni.ReadInteger('Markers', '0', -1);
    LineStart := 0;
    for I := 0 to (ProjectIni.ReadInteger('Positions', 'SourceY', 1) - 2) do
      LineStart := LineStart + Length(SourceCodeRichEdit.Lines[I]) + 2;
    SourceCodeRichEdit.SelStart := LineStart + Pred(ProjectIni.ReadInteger('Positions', 'SourceX', 1));
    SourceCodeRichEdit.SelLength := 0;
    SourceCodeRichEdit.Perform(EM_SCROLLCARET, 0, 0);

    RefreshXYPosIndication;
    if AutoSmartRefCheckBox.Checked then RefreshSmartRef;
  finally
    ProjectIni.Free;
  end;
end; { LoadProjectSettingsFromFile }

{------------------------------------------------------------------------------}

procedure TMainForm.SaveProjectSettingsToFile(FileName: string);
var
  ProjectIni                                 : TIniFile;
begin
  ProjectIni := TIniFile.Create(FileName);
  try
    ProjectIni.WriteBool('CompilerOptions', 'Depend', DependCheckBox.Checked);
    ProjectIni.WriteBool('CompilerOptions', 'Nowarn', NowarnCheckBox.Checked);
    ProjectIni.WriteBool('CompilerOptions', 'Verbose', VerboseCheckBox.Checked);
    ProjectIni.WriteBool('CompilerOptions', 'Nowrite', NowriteCheckBox.Checked);
    ProjectIni.WriteBool('CompilerOptions', 'Deprecation', DeprecationCheckBox.Checked);
    ProjectIni.WriteInteger('VersionControl', 'MajorVersion', MajorVersionSpinEdit.Value);
    ProjectIni.WriteInteger('VersionControl', 'StandardVersion', StandardVersionSpinEdit.Value);
    ProjectIni.WriteInteger('VersionControl', 'MinorVersion', MinorVersionSpinEdit.Value);
    ProjectIni.WriteInteger('ProgrammingInfo', 'Build', BuildCount);
    ProjectIni.WriteInteger('ProgrammingInfo', 'BuildTime', BuildTime);
    ProjectIni.WriteBool('EditorSettings', 'ShowToolbar', ToolbarCheckBox.Checked);
    ProjectIni.WriteBool('EditorSettings', 'AutoIndent', IndentCheckBox.Checked);
    ProjectIni.WriteInteger('EditorSettings', 'AutoRef', Ord(AutoSmartRefCheckBox.State));
    ProjectIni.WriteBool('EditorSettings', 'Keywords', KeywordCheckBox.Checked);
    ProjectIni.WriteBool('EditorSettings', 'JumpOnError', JumpOnErrorCheckBox.Checked);
    ProjectIni.WriteBool('EditorSettings', 'BackupSourceCode', BackupCheckBox.Checked);
    ProjectIni.WriteInteger('EditorSettings', 'ForegroundIndex', EditorProColorGrid.ForeIndex);
    ProjectIni.WriteInteger('EditorSettings', 'BackgroundIndex', EditorProColorGrid.BackIndex);
    ProjectIni.WriteString('AuthorInfo', 'Name', NameEdit.Text);
    ProjectIni.WriteString('AuthorInfo', 'Email', MailEdit.Text);
    ProjectIni.WriteString('AuthorInfo', 'Homepage', HomepageEdit.Text);
    ProjectIni.WriteString('AuthorInfo', 'Notes', NotesEdit.Text);
    ProjectIni.WriteString('Development', 'Phase', PhaseComboBox.Text);
    ProjectIni.WriteInteger('Markers', '1', Marker1);
    ProjectIni.WriteInteger('Markers', '2', Marker2);
    ProjectIni.WriteInteger('Markers', '3', Marker3);
    ProjectIni.WriteInteger('Markers', '4', Marker4);
    ProjectIni.WriteInteger('Markers', '5', Marker5);
    ProjectIni.WriteInteger('Markers', '6', Marker6);
    ProjectIni.WriteInteger('Markers', '7', Marker7);
    ProjectIni.WriteInteger('Markers', '8', Marker8);
    ProjectIni.WriteInteger('Markers', '9', Marker9);
    ProjectIni.WriteInteger('Markers', '0', Marker0);
    ProjectIni.WriteInteger('Positions', 'SourceX', SourceCodeRichEdit.SelStart + SourceCodeRichEdit.SelLength - SourceCodeRichEdit.Perform(EM_LINEINDEX, -1, 0) + 1);
    ProjectIni.WriteInteger('Positions', 'SourceY', LongRec(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0)).Lo + 1);
  finally
    ProjectIni.Free;
  end;
end; { SaveProjectSettingsToFile }

{------------------------------------------------------------------------------}
procedure TMainForm.RefreshInsertIndication;
begin
  if PageControl.ActivePage = SourceCodeTabSheet then
    if SourceCodeInsert then ProStatusBar.Panels.Items[2].Text := 'Insert'
    else ProStatusBar.Panels.Items[2].Text := 'Overwrite';
  if PageControl.ActivePage = ErrorMessagesTabSheet then
    ProStatusBar.Panels.Items[2].Text := 'Read Only';
  if PageControl.ActivePage = HTMLTabSheet then
    if HTMLInsert then ProStatusBar.Panels.Items[2].Text := 'Insert'
    else ProStatusBar.Panels.Items[2].Text := 'Overwrite';
  if PageControl.ActivePage = LogbookTabSheet then
    if LogbookInsert then ProStatusBar.Panels.Items[2].Text := 'Insert'
    else ProStatusBar.Panels.Items[2].Text := 'Overwrite';
  if PageControl.ActivePage = ProjectSettingsTabSheet then
    ProStatusBar.Panels.Items[2].Text := '';
end; { RefreshInsertIndication }

{------------------------------------------------------------------------------}

procedure TMainForm.RefreshXYPosIndication;
begin
  if PageControl.ActivePage = SourceCodeTabSheet then
    ProStatusBar.Panels.Items[0].Text := IntToStr(SourceCodeRichEdit.SelStart + SourceCodeRichEdit.SelLength - SourceCodeRichEdit.Perform(EM_LINEINDEX, -1, 0) + 1)
                                  + ' : ' + IntToStr(LongRec(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0)).Lo + 1);
  if PageControl.ActivePage = ErrorMessagesTabSheet then
    ProStatusBar.Panels.Items[0].Text := IntToStr(ErrorMessagesRichEdit.SelStart + ErrorMessagesRichEdit.SelLength - ErrorMessagesRichEdit.Perform(EM_LINEINDEX, -1, 0) + 1)
                                  + ' : ' + IntToStr(LongRec(ErrorMessagesRichEdit.Perform(EM_LINEFROMCHAR, -1, 0)).Lo + 1);
  if PageControl.ActivePage = HTMLTabSheet then
    ProStatusBar.Panels.Items[0].Text := IntToStr(HTMLRichEdit.SelStart + HTMLRichEdit.SelLength - HTMLRichEdit.Perform(EM_LINEINDEX, -1, 0) + 1)
                                  + ' : ' + IntToStr(LongRec(HTMLRichEdit.Perform(EM_LINEFROMCHAR, -1, 0)).Lo + 1);
  if PageControl.ActivePage = LogbookTabSheet then
    ProStatusBar.Panels.Items[0].Text := IntToStr(LogbookRichEdit.SelStart + LogbookRichEdit.SelLength - LogbookRichEdit.Perform(EM_LINEINDEX, -1, 0) + 1)
                                  + ' : ' + IntToStr(LongRec(LogbookRichEdit.Perform(EM_LINEFROMCHAR, -1, 0)).Lo + 1);
  if PageControl.ActivePage = ProjectSettingsTabSheet then
    ProStatusBar.Panels.Items[0].Text := '- : -';
end; { RefreshXYPosIndication }

{------------------------------------------------------------------------------}

procedure TMainForm.ShowHint(Sender: TObject);
begin
  ProStatusBar.Panels[3].Text := Application.Hint;
end; { ShowHint }

{------------------------------------------------------------------------------}

procedure TMainForm.SysCommand(var Msg: TMessage);
var
  SysMenu: hMenu;
begin
  inherited;
  SysMenu := GetSystemMenu(Handle, False);
  if Msg.wParam = 666 then
  begin
    SnapToEdge.Enabled := not SnapToEdge.Enabled;
    if SnapToEdge.Enabled then
      ModifyMenu(SysMenu, 6, MF_BYPOSITION + MF_CHECKED, 666, 'Snap To Edge')
    else
      ModifyMenu(SysMenu, 6, MF_BYPOSITION + MF_UNCHECKED, 666, 'Snap To Edge');
  end;
end; { SysCommand }

{------------------------------------------------------------------------------}

procedure TMainForm.FormCreate(Sender: TObject);
var
  WindowsDirectory                     : PChar;
  SysMenu                              : hMenu;
begin
  SysMenu := GetSystemMenu(Handle, False);

  InsertMenu(SysMenu, 5, MF_BYPOSITION + MF_SEPARATOR, 0, #0);
  InsertMenu(SysMenu, 6, MF_BYPOSITION + MF_CHECKED, 666, 'Snap To Edge');

  Application.OnHint := ShowHint;

  SavedProject := True;
  CompiledProject := False;

  SourceCodeInsert := True;
  HTMLInsert := True;
  LogbookInsert := True;

  BuildCount := 0;
  BuildTime := 0;

  Marker1 := -1;
  Marker2 := -1;
  Marker3 := -1;
  Marker4 := -1;
  Marker5 := -1;
  Marker6 := -1;
  Marker7 := -1;
  Marker8 := -1;
  Marker9 := -1;
  Marker0 := -1;

  GetMem(WindowsDirectory, 255);
  try
    if (GetWindowsDirectory(WindowsDirectory, 255) > 0) and (FileExists(StrPas(WindowsDirectory) + '\JSourcEd.ini')) then
      SourcEdIni := TIniFile.Create(StrPas(WindowsDirectory) + '\JSourcEd.ini')
    else
      SourcEdIni := TIniFile.Create(ExtractFilePath(Application.ExeName) + 'JSourcEd.ini');
  finally
    FreeMem(WindowsDirectory, 255);
  end;

  LoadLanguageFile;

  RecentFile1.Hint := SourcEdIni.ReadString('RecentFiles', '1', '');
  RecentFile1.Caption := '&1  ' + RecentFile1.Hint;
  if RecentFile1.Hint <> '' then
  begin
    RecentFile1.Enabled := True;
    RecentFile1.Visible := True;
  end;
  RecentFile2.Hint := SourcEdIni.ReadString('RecentFiles', '2', '');
  RecentFile2.Caption := '&2  ' + RecentFile2.Hint;
  if RecentFile2.Hint <> '' then
  begin
    RecentFile2.Enabled := True;
    RecentFile2.Visible := True;
  end;
  RecentFile3.Hint := SourcEdIni.ReadString('RecentFiles', '3', '');
  RecentFile3.Caption := '&3  ' + RecentFile3.Hint;
  if RecentFile3.Hint <> '' then
  begin
    RecentFile3.Enabled := True;
    RecentFile3.Visible := True;
  end;
  RecentFile4.Hint := SourcEdIni.ReadString('RecentFiles', '4', '');
  RecentFile4.Caption := '&4  ' + RecentFile4.Hint;
  if RecentFile4.Hint <> '' then
  begin
    RecentFile4.Enabled := True;
    RecentFile4.Visible := True;
  end;
  RecentFile5.Hint := SourcEdIni.ReadString('RecentFiles', '5', '');
  RecentFile5.Caption := '&5  ' + RecentFile5.Hint;
  if RecentFile5.Hint <> '' then
  begin
    RecentFile5.Enabled := True;
    RecentFile5.Visible := True;
  end;

  if FileExists(SourcEdIni.ReadString('Macros', '1', '')) then
  begin
    Macro1.Caption := ExtractFileName(ChangeFileExt(SourcEdIni.ReadString('Macros', '1', ''), ''));
    Macro1.Visible := True;
    Macro1.Enabled := True;
  end;

  if FileExists(SourcEdIni.ReadString('Macros', '2', '')) then
  begin
    Macro2.Caption := ExtractFileName(ChangeFileExt(SourcEdIni.ReadString('Macros', '2', ''), ''));
    Macro2.Visible := True;
    Macro2.Enabled := True;
  end;

  if FileExists(SourcEdIni.ReadString('Macros', '3', '')) then
  begin
    Macro3.Caption := ExtractFileName(ChangeFileExt(SourcEdIni.ReadString('Macros', '3', ''), ''));
    Macro3.Visible := True;
    Macro3.Enabled := True;
  end;

  if FileExists(SourcEdIni.ReadString('Macros', '4', '')) then
  begin
    Macro4.Caption := ExtractFileName(ChangeFileExt(SourcEdIni.ReadString('Macros', '4', ''), ''));
    Macro4.Visible := True;
    Macro4.Enabled := True;
  end;

  if FileExists(SourcEdIni.ReadString('Macros', '5', '')) then
  begin
    Macro5.Caption := ExtractFileName(ChangeFileExt(SourcEdIni.ReadString('Macros', '5', ''), ''));
    Macro5.Visible := True;
    Macro5.Enabled := True;
  end;

  if FileExists(SourcEdIni.ReadString('Macros', '6', '')) then
  begin
    Macro6.Caption := ExtractFileName(ChangeFileExt(SourcEdIni.ReadString('Macros', '6', ''), ''));
    Macro6.Visible := True;
    Macro6.Enabled := True;
  end;

  if FileExists(SourcEdIni.ReadString('Macros', '7', '')) then
  begin
    Macro7.Caption := ExtractFileName(ChangeFileExt(SourcEdIni.ReadString('Macros', '7', ''), ''));
    Macro7.Visible := True;
    Macro7.Enabled := True;
  end;

  if FileExists(SourcEdIni.ReadString('Macros', '8', '')) then
  begin
    Macro8.Caption := ExtractFileName(ChangeFileExt(SourcEdIni.ReadString('Macros', '8', ''), ''));
    Macro8.Visible := True;
    Macro8.Enabled := True;
  end;

  if FileExists(SourcEdIni.ReadString('Macros', '9', '')) then
  begin
    Macro9.Caption := ExtractFileName(ChangeFileExt(SourcEdIni.ReadString('Macros', '9', ''), ''));
    Macro9.Visible := True;
    Macro9.Enabled := True;
  end;

  if FileExists(SourcEdIni.ReadString('Macros', '10', '')) then
  begin
    Macro10.Caption := ExtractFileName(ChangeFileExt(SourcEdIni.ReadString('Macros', '10', ''), ''));
    Macro10.Visible := True;
    Macro10.Enabled := True;
  end;

  if Macro1.Visible or Macro2.Visible or Macro3.Visible or Macro4.Visible or
     Macro5.Visible or Macro6.Visible or Macro7.Visible or Macro8.Visible or
     Macro9.Visible or Macro10.Visible then
  begin
    UserDefined1.Visible := True;
    UserDefined1.Enabled := True;
    UserDefinedMacros := True;
  end
  else
    UserDefinedMacros := False;

  if SourcEdIni.ReadBool('General', 'NoOptions', False) then
  begin
    Options1.Enabled := False;
    Options1.Visible := False;
  end;

  if SourcEdIni.ReadBool('General', 'NoInsert', False) then
  begin
    NoInsert := True;
    Insert1.Enabled := not NoInsert;
    Insert1.Visible := not NoInsert;
  end
  else
    NoInsert := False;

  if SourcEdIni.ReadBool('General', 'SnapOn', True) = False then
  begin
    ModifyMenu(SysMenu, 6, MF_BYPOSITION + MF_UNCHECKED, 666, 'Snap');
    SnapToEdge.Enabled := False;
  end;

  if SourcEdIni.ReadBool('General', 'NoRecent', False) then
  begin
    Reopen1.Enabled := False;
    Reopen1.Visible := False;
  end;

  if SourcEdIni.ReadBool('General', 'Maximize', False) then
  begin
    MaximizeAtStartup1.Checked := True;
    MainForm.WindowState := wsMaximized;
  end;

  if SourcEdIni.ReadInteger('General', 'MainAlpha', 255) <> 255 then
  begin
    MainForm.AlphaBlend := True;
    MainForm.AlphaBlendValue := SourcEdIni.ReadInteger('General', 'MainAlpha', 255);
  end;

  try
    GetShellExt.GetShellExtension;
    if (GetShellExt.ExtDescription = SetShellExt.ExtDescription) and
       (GetShellExt.FileDescription = SetShellExt.FileDescription) and
       (GetShellExt.OpenWith = SetShellExt.OpenWith) and
       (GetShellExt.ParamString = SetShellExt.ParamString) then
      AssociateJavaFilesWithJSourcEd1.Checked := True
    else
      AssociateJavaFilesWithJSourcEd1.Checked := False;
  except
    AssociateJavaFilesWithJSourcEd1.Checked := False;
  end;

  SmartRefList := TStringList.Create;
  if FileExists(ChangeFileExt(Application.ExeName, '.ref')) then
  begin
    SmartRefList.LoadFromFile(ChangeFileExt(Application.ExeName, '.ref'));
    SmartRefList.Sort;
  end;

  KeywordList := TStringList.Create;
  if FileExists(ChangeFileExt(Application.ExeName, '.lst')) then
  begin
    KeywordList.LoadFromFile(ChangeFileExt(Application.ExeName, '.lst'));
    KeywordList.Sort;
  end;
end; { FormCreate }

{------------------------------------------------------------------------------}

procedure TMainForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  if not SavedProject then
  begin
    ProConfirmDialog.Condition := 'You haven''t saved your changes to the following project:';
    ProConfirmDialog.Description := ChangeFileExt(SaveDialog.FileName, '.java');
    ProConfirmDialog.Question := 'Do you wish to save it now?';
    if ProConfirmDialog.Execute then
    begin
      if (SaveDialog.FileName <> '') or (SaveDialog.Execute) then
      begin
        try
          SourceCodeRichEdit.Lines.SaveToFile(ChangeFileExt(SaveDialog.FileName, '.java'));
        finally
          Application.ProcessMessages;
          try
            ErrorMessagesRichEdit.Lines.SaveToFile(ChangeFileExt(SaveDialog.FileName, '.err'));
          finally
            Application.ProcessMessages;
            try
              HTMLRichEdit.Lines.SaveToFile(ChangeFileExt(SaveDialog.FileName, '.html'));
            finally
              Application.ProcessMessages;
              try
                LogbookRichEdit.Lines.SaveToFile(ChangeFileExt(SaveDialog.FileName, '.log'));
              finally
                Application.ProcessMessages;
                try
                  SaveProjectSettingsToFile(ChangeFileExt(SaveDialog.FileName, '.jps'));
                finally
                  Application.ProcessMessages;
                  ShiftRecentList;
                end;
              end;
            end;
          end;
        end;
      end;
    end
    else
    begin
      if ProConfirmDialog.Cancel then Action := caNone
      else Action := caFree;
    end;
  end;
end;

{------------------------------------------------------------------------------}

procedure TMainForm.New1Click(Sender: TObject);
var
  ProjectName                                    : string;
  Proceed                                        : Boolean;
begin
  Proceed := False;
  if not SavedProject then
  begin
    ProConfirmDialog.Condition := 'You haven''t saved your changes to the following project:';
    ProConfirmDialog.Description := ChangeFileExt(SaveDialog.FileName, '.java');
    ProConfirmDialog.Question := 'Do you wish to save it now?';
    if ProConfirmDialog.Execute then
    begin
      if (SaveDialog.FileName <> '') or (SaveDialog.Execute) then
      begin
        try
          SourceCodeRichEdit.Lines.SaveToFile(ChangeFileExt(SaveDialog.FileName, '.java'));
        finally
          Application.ProcessMessages;
          try
            ErrorMessagesRichEdit.Lines.SaveToFile(ChangeFileExt(SaveDialog.FileName, '.err'));
          finally
            Application.ProcessMessages;
            try
              HTMLRichEdit.Lines.SaveToFile(ChangeFileExt(SaveDialog.FileName, '.html'));
            finally
              Application.ProcessMessages;
              try
                LogbookRichEdit.Lines.SaveToFile(ChangeFileExt(SaveDialog.FileName, '.log'));
              finally
                Application.ProcessMessages;
                try
                  SaveProjectSettingsToFile(ChangeFileExt(SaveDialog.FileName, '.jps'));
                finally
                  Application.ProcessMessages;
                end;
              end;
            end;
          end;
        end;
      end;
      Proceed := True;
    end
    else
    begin
      if not ProConfirmDialog.Cancel then Proceed := True;
    end;
  end
  else
  begin
    Proceed := True;
  end;

  if Proceed then
  begin
    ProjectName := 'NoName';
    Proceed := InputQuery('Project Name', 'Please enter the projects name:', ProjectName);
    if Proceed then
    begin
      MainForm.Caption := 'JSourcEd - ' + ProjectName + '.java';
      OpenDialog.FileName := ProjectName + '.java';
      SaveDialog.FileName := ProjectName + '.java';
      SourceCodeRichEdit.Clear;
      ErrorMessagesRichEdit.Clear;
      HTMLRichEdit.Clear;
      LogbookRichEdit.Clear;
      SetProjectSettingDefaults;
      SetProjectUnmodified;

      RefreshXYPosIndication;
      if AutoSmartRefCheckBox.Checked then RefreshSmartRef;
    end;
  end;
end; { New1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.Open1Click(Sender: TObject);
var
  Proceed                              : Boolean;
  WhichTabs                            : string;
begin
  if not SavedProject then
  begin
    ProConfirmDialog.Condition := 'You haven''t saved your changes to the following project:';
    ProConfirmDialog.Description := ChangeFileExt(SaveDialog.FileName, '.java');
    ProConfirmDialog.Question := 'Do you wish to save it now?';
    if ProConfirmDialog.Execute then
    begin
      if (SaveDialog.FileName <> '') or (SaveDialog.Execute) then
      begin
        try
          SourceCodeRichEdit.Lines.SaveToFile(ChangeFileExt(SaveDialog.FileName, '.java'));
        finally
          Application.ProcessMessages;
          try
            ErrorMessagesRichEdit.Lines.SaveToFile(ChangeFileExt(SaveDialog.FileName, '.err'));
          finally
            Application.ProcessMessages;
            try
              HTMLRichEdit.Lines.SaveToFile(ChangeFileExt(SaveDialog.FileName, '.html'));
            finally
              Application.ProcessMessages;
              try
                LogbookRichEdit.Lines.SaveToFile(ChangeFileExt(SaveDialog.FileName, '.log'));
              finally
                Application.ProcessMessages;
                try
                  SaveProjectSettingsToFile(ChangeFileExt(SaveDialog.FileName, '.jps'));
                finally
                  Application.ProcessMessages;
                  ShiftRecentList;
                end;
              end;
            end;
          end;
        end;
      end;
      Proceed := True;
    end
    else
    begin
      if not ProConfirmDialog.Cancel then Proceed := True
      else Proceed := False;
    end;
  end
  else
    Proceed := True;

  if Proceed and OpenDialog.Execute then
  begin
    OpenDialog.FileName := ExpandFileName(OpenDialog.FileName);
    SaveDialog.FileName := OpenDialog.FileName;
    MainForm.Caption := 'JSourcEd - ' + ExtractFileName(OpenDialog.FileName);

    ChDir(ExtractFilePath(OpenDialog.FileName));

    WhichTabs := '';

    Application.ProcessMessages;
    if FileExists(OpenDialog.FileName) then
      SourceCodeRichEdit.Lines.LoadFromFile(OpenDialog.FileName)
    else
    begin
      SourceCodeRichEdit.Lines.Clear;
      WhichTabs := WhichTabs + 'source code, ';
    end;

    Application.ProcessMessages;
    if FileExists(ChangeFileExt(OpenDialog.FileName, '.err')) then
      ErrorMessagesRichEdit.Lines.LoadFromFile(ChangeFileExt(OpenDialog.FileName, '.err'))
    else
    begin
      ErrorMessagesRichEdit.Lines.Clear;
      WhichTabs := WhichTabs + 'error messages, ';
    end;

    Application.ProcessMessages;
    if FileExists(ChangeFileExt(OpenDialog.FileName, '.html')) then
      HTMLRichEdit.Lines.LoadFromFile(ChangeFileExt(OpenDialog.FileName, '.html'))
    else
    begin
      HTMLRichEdit.Lines.Clear;
      WhichTabs := WhichTabs + 'hypertext markup, ';
    end;

    Application.ProcessMessages;
    if FileExists(ChangeFileExt(OpenDialog.FileName, '.log')) then
      LogbookRichEdit.Lines.LoadFromFile(ChangeFileExt(OpenDialog.FileName, '.log'))
    else
    begin
      LogbookRichEdit.Lines.Clear;
      WhichTabs := WhichTabs + 'logbook, ';
    end;

    if WhichTabs <> '' then
    begin
      SetLength(WhichTabs, Length(WhichTabs) - 2);
      ProInfoDialog.InfoMessage := 'Cannot open the ' + WhichTabs + ' file(s)!';
      ProInfoDialog.Execute;
    end;

    Application.ProcessMessages;
    LoadProjectSettingsFromFile(ChangeFileExt(OpenDialog.FileName, '.jps'));

    ShiftRecentList;
    SetProjectUnmodified;

    RefreshXYPosIndication;
    if AutoSmartRefCheckBox.Checked then RefreshSmartRef;
  end;
end; { Open1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.Save1Click(Sender: TObject);
begin
  if (SaveDialog.FileName <> '') or (SaveDialog.Execute) then
  begin
    if not WriteProtected(SaveDialog.FileName) then
    begin
      MainForm.Caption := 'JSourcEd - ' + ExtractFileName(SaveDialog.FileName);
      try
        SourceCodeRichEdit.Lines.SaveToFile(ChangeFileExt(SaveDialog.FileName, '.java'));
      finally
        Application.ProcessMessages;
        try
          ErrorMessagesRichEdit.Lines.SaveToFile(ChangeFileExt(SaveDialog.FileName, '.err'));
        finally
          Application.ProcessMessages;
          try
            HTMLRichEdit.Lines.SaveToFile(ChangeFileExt(SaveDialog.FileName, '.html'));
          finally
            Application.ProcessMessages;
            try
              LogbookRichEdit.Lines.SaveToFile(ChangeFileExt(SaveDialog.FileName, '.log'));
            finally
              Application.ProcessMessages;
              try
                SaveProjectSettingsToFile(ChangeFileExt(SaveDialog.FileName, '.jps'));
              finally
                Application.ProcessMessages;
                ShiftRecentList;
                SetProjectUnmodified;
              end;
            end;
          end;
        end;
      end;
    end;
  end;
end; { Save1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.SaveAs1Click(Sender: TObject);
var
  OldName                               : string;
begin
  OldName := SaveDialog.FileName;

  if SaveDialog.Execute then
  begin
    if not WriteProtected(SaveDialog.FileName) then
    begin
      SaveDialog.FileName := ChangeFileExt(SaveDialog.FileName, '.java');

      OpenDialog.FileName := SaveDialog.FileName;

      MainForm.Caption := 'JSourcEd - ' + ExtractFileName(SaveDialog.FileName);
      try
        SourceCodeRichEdit.Lines.SaveToFile(ChangeFileExt(SaveDialog.FileName, '.java'));
      finally
        Application.ProcessMessages;
        try
          ErrorMessagesRichEdit.Lines.SaveToFile(ChangeFileExt(SaveDialog.FileName, '.err'));
        finally
          Application.ProcessMessages;
          try
            HTMLRichEdit.Lines.SaveToFile(ChangeFileExt(SaveDialog.FileName, '.html'));
          finally
            Application.ProcessMessages;
            try
              LogbookRichEdit.Lines.SaveToFile(ChangeFileExt(SaveDialog.FileName, '.log'));
            finally
              Application.ProcessMessages;
              try
                SaveProjectSettingsToFile(ChangeFileExt(SaveDialog.FileName, '.jps'));
              finally
                Application.ProcessMessages;
                ShiftRecentList;
                SetProjectUnmodified;
              end;
            end;
          end;
        end;
      end;
    end;
  end;

  if SaveDialog.FileName <> OldName then
  begin
    PageControl.ActivePage := HTMLTabSheet;
    PageControlChange(HTMLTabSheet);
  end;
end; { SaveAs1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.PrinterSetup1Click(Sender: TObject);
begin
  PrinterSetupDialog.Execute;
end; { PrinterSetup1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.Print1Click(Sender: TObject);
var
  TempColor                             : TColor;
begin
  if PrintDialog.Execute then
  begin
    if PageControl.ActivePage = SourceCodeTabSheet then
    begin
      TempColor := SourceCodeRichEdit.Font.Color;
      SourceCodeRichEdit.Font.Color := clBlack;
      SourceCodeRichEdit.Print('JSourcEd - Java Source Code');
      SourceCodeRichEdit.Font.Color := TempColor;
    end
    else
    if PageControl.ActivePage = ErrorMessagesTabSheet then
    begin
      TempColor := ErrorMessagesRichEdit.Font.Color;
      ErrorMessagesRichEdit.Font.Color := clBlack;
      ErrorMessagesRichEdit.Print('JSourcEd - Compiler Error Messages');
      ErrorMessagesRichEdit.Font.Color := TempColor;
    end
    else
    if PageControl.ActivePage = HTMLTabSheet then
    begin
      TempColor := HTMLRichEdit.Font.Color;
      HTMLRichEdit.Font.Color := clBlack;
      HTMLRichEdit.Print('JSourcEd - HyperText Markup');
      HTMLRichEdit.Font.Color := TempColor;
    end
    else
    if PageControl.ActivePage = LogbookTabSheet then
    begin
      TempColor := LogbookRichEdit.Font.Color;
      LogbookRichEdit.Font.Color := clBlack;
      LogbookRichEdit.Print('JSourcEd - Developer''s Logbook');
      LogbookRichEdit.Font.Color := TempColor;
    end;
  end;
end; { Print1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.Exit1Click(Sender: TObject);
begin
  Close;
end; { Exit1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.Undo1Click(Sender: TObject);
begin
  if (PageControl.ActivePage = SourceCodeTabSheet) and SourceCodeRichEdit.CanUndo then
    SourceCodeRichEdit.Undo
  else
  if (PageControl.ActivePage = HTMLTabSheet) and HTMLRichEdit.CanUndo then
    HTMLRichEdit.Undo
  else
  if (PageControl.ActivePage = LogbookTabSheet) and LogbookRichEdit.CanUndo then
    LogbookRichEdit.Undo
end; { Undo1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.Cut1Click(Sender: TObject);
begin
  if PageControl.ActivePage = SourceCodeTabSheet then
    SourceCodeRichEdit.CutToClipboard
  else
  if PageControl.ActivePage = HTMLTabSheet then
    HTMLRichEdit.CutToClipboard
  else
  if PageControl.ActivePage = LogbookTabSheet then
    LogbookRichEdit.CutToClipboard;
end; { Cut1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.Copy1Click(Sender: TObject);
begin
  if PageControl.ActivePage = SourceCodeTabSheet then
    SourceCodeRichEdit.CopyToClipboard
  else
  if PageControl.ActivePage = ErrorMessagesTabSheet then
    ErrorMessagesRichEdit.CopyToClipboard
  else
  if PageControl.ActivePage = HTMLTabSheet then
    HTMLRichEdit.CopyToClipboard
  else
  if PageControl.ActivePage = LogbookTabSheet then
    LogbookRichEdit.CopyToClipboard;
end; { Copy1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.Paste1Click(Sender: TObject);
begin
  if (PageControl.ActivePage = SourceCodeTabSheet) and (Clipboard.HasFormat(CF_TEXT)) then
    SourceCodeRichEdit.PasteFromClipboard
  else
  if (PageControl.ActivePage = HTMLTabSheet) and (Clipboard.HasFormat(CF_TEXT)) then
    HTMLRichEdit.PasteFromClipboard
  else
  if (PageControl.ActivePage = LogbookTabSheet) and (Clipboard.HasFormat(CF_TEXT)) then
    LogbookRichEdit.PasteFromClipboard;
end; { Paste1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.Delete1Click(Sender: TObject);
begin
  if PageControl.ActivePage = SourceCodeTabSheet then
    SourceCodeRichEdit.ClearSelection
  else
  if PageControl.ActivePage = HTMLTabSheet then
    HTMLRichEdit.ClearSelection
  else
  if PageControl.ActivePage = LogbookTabSheet then
    LogbookRichEdit.ClearSelection;
end; { Delete1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.SelectAll1Click(Sender: TObject);
begin
  if PageControl.ActivePage = SourceCodeTabSheet then
    SourceCodeRichEdit.SelectAll
  else
  if PageControl.ActivePage = ErrorMessagesTabSheet then
    ErrorMessagesRichEdit.SelectAll
  else
  if PageControl.ActivePage = HTMLTabSheet then
    HTMLRichEdit.SelectAll
  else
  if PageControl.ActivePage = LogbookTabSheet then
    LogbookRichEdit.SelectAll;
end; { SelectAll1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.WordWrap1Click(Sender: TObject);
begin
  WordWrap1.Checked := not WordWrap1.Checked;
  LogbookRichEdit.WordWrap := WordWrap1.Checked;
end; { WordWrap1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.PageControlChange(Sender: TObject);
begin
  if PageControl.ActivePage = SourceCodeTabSheet then
  begin
    Print1.Enabled := True;
    Edit1.Enabled := True;
    Undo1.Enabled := True;
    Cut1.Enabled := SourceCodeRichEdit.SelLength > 0;
    Cut2.Enabled := SourceCodeRichEdit.SelLength > 0;
    Copy1.Enabled := SourceCodeRichEdit.SelLength > 0;
    Copy2.Enabled := SourceCodeRichEdit.SelLength > 0;
    Paste1.Enabled := True;
    Paste2.Enabled := True;
    Delete1.Enabled := SourceCodeRichEdit.SelLength > 0;
    Delete2.Enabled := SourceCodeRichEdit.SelLength > 0;
    Change1.Enabled := SourceCodeRichEdit.SelLength > 0;
    SelectAll1.Enabled := True;
    WordWrap1.Enabled := False;
    Search1.Enabled := True;
    Find1.Enabled := True;
    FindNext1.Enabled := True;
    FindandReplace1.Enabled := True;
    GotoLineNumber1.Enabled := True;
    GotoNextMethod1.Enabled := True;
    GotoPreviousMethod1.Enabled := True;
    MatchBracket1.Enabled := True;
    Insert1.Enabled := not NoInsert;
    Header1.Visible := True;
    SeparatorLine1.Visible := True;
    N6.Visible := True;
    ImportLibrary1.Visible := True;
    AppletTemplate1.Visible := True;
    PublicMethod1.Visible := True;
    PrivateMethod1.Visible := True;
    EventHandler1.Visible := True;
    UserDefined1.Visible := UserDefinedMacros;
    N16.Visible := True;
    ColorCode1.Visible := True;
    FileName1.Visible := True;
    GenerateHTMLCode1.Visible := False;
    DateTime1.Visible := False;
    BuildBuildTime1.Visible := False;
    SourceCodeRichEdit.SetFocus;
  end
  else
  if PageControl.ActivePage = ErrorMessagesTabSheet then
  begin
    Print1.Enabled := True;
    Edit1.Enabled := True;
    Undo1.Enabled := False;
    Cut1.Enabled := False;
    Cut2.Enabled := False;
    Copy1.Enabled := ErrorMessagesRichEdit.SelLength > 0;
    Copy2.Enabled := ErrorMessagesRichEdit.SelLength > 0;
    Paste1.Enabled := False;
    Paste2.Enabled := False;
    Delete1.Enabled := False;
    Delete2.Enabled := False;
    Change1.Enabled := False;
    SelectAll1.Enabled := True;
    WordWrap1.Enabled := False;
    Search1.Enabled := True;
    Find1.Enabled := True;
    FindNext1.Enabled := True;
    FindandReplace1.Enabled := False;
    GotoLineNumber1.Enabled := False;
    GotoNextMethod1.Enabled := False;
    GotoPreviousMethod1.Enabled := False;
    MatchBracket1.Enabled := False;
    Insert1.Enabled := False;
    ErrorMessagesRichEdit.SetFocus;
  end
  else
  if PageControl.ActivePage = HTMLTabSheet then
  begin
    Print1.Enabled := True;
    Edit1.Enabled := True;
    Undo1.Enabled := True;
    Cut1.Enabled := HTMLRichEdit.SelLength > 0;
    Cut2.Enabled := HTMLRichEdit.SelLength > 0;
    Copy1.Enabled := HTMLRichEdit.SelLength > 0;
    Copy2.Enabled := HTMLRichEdit.SelLength > 0;
    Paste1.Enabled := True;
    Paste2.Enabled := True;
    Delete1.Enabled := HTMLRichEdit.SelLength > 0;
    Delete2.Enabled := HTMLRichEdit.SelLength > 0;
    Change1.Enabled := HTMLRichEdit.SelLength > 0;
    SelectAll1.Enabled := True;
    WordWrap1.Enabled := False;
    Search1.Enabled := True;
    Find1.Enabled := True;
    FindNext1.Enabled := True;
    FindandReplace1.Enabled := True;
    GotoLineNumber1.Enabled := False;
    GotoNextMethod1.Enabled := False;
    GotoPreviousMethod1.Enabled := False;
    MatchBracket1.Enabled := False;
    Insert1.Enabled := not NoInsert;
    Header1.Visible := False;
    SeparatorLine1.Visible := False;
    N6.Visible := False;
    ImportLibrary1.Visible := False;
    AppletTemplate1.Visible := False;
    PublicMethod1.Visible := False;
    PrivateMethod1.Visible := False;
    EventHandler1.Visible := False;
    UserDefined1.Visible := False;
    N16.Visible := False;
    ColorCode1.Visible := False;
    FileName1.Visible := False;
    GenerateHTMLCode1.Visible := True;
    DateTime1.Visible := False;
    BuildBuildTime1.Visible := False;
    HTMLRichEdit.SetFocus;
  end
  else
  if PageControl.ActivePage = LogbookTabSheet then
  begin
    Print1.Enabled := True;
    Edit1.Enabled := True;
    Undo1.Enabled := True;
    Cut1.Enabled := LogbookRichEdit.SelLength > 0;
    Cut2.Enabled := LogbookRichEdit.SelLength > 0;
    Copy1.Enabled := LogbookRichEdit.SelLength > 0;
    Copy2.Enabled := LogbookRichEdit.SelLength > 0;
    Paste1.Enabled := True;
    Paste2.Enabled := True;
    Delete1.Enabled := LogbookRichEdit.SelLength > 0;
    Delete2.Enabled := LogbookRichEdit.SelLength > 0;
    Change1.Enabled := LogbookRichEdit.SelLength > 0;
    SelectAll1.Enabled := True;
    WordWrap1.Enabled := True;
    Search1.Enabled := True;
    Find1.Enabled := True;
    FindNext1.Enabled := True;
    FindandReplace1.Enabled := True;
    GotoLineNumber1.Enabled := False;
    GotoNextMethod1.Enabled := False;
    GotoPreviousMethod1.Enabled := False;
    MatchBracket1.Enabled := False;
    Insert1.Enabled := not NoInsert;
    Header1.Visible := False;
    SeparatorLine1.Visible := False;
    N6.Visible := False;
    ImportLibrary1.Visible := False;
    AppletTemplate1.Visible := False;
    PublicMethod1.Visible := False;
    PrivateMethod1.Visible := False;
    EventHandler1.Visible := False;
    UserDefined1.Visible := False;
    N16.Visible := False;
    ColorCode1.Visible := False;
    FileName1.Visible := False;
    GenerateHTMLCode1.Visible := False;
    DateTime1.Visible := True;
    BuildBuildTime1.Visible := True;
    LogbookRichEdit.SetFocus;
  end
  else
  if PageControl.ActivePage = ProjectSettingsTabSheet then
  begin
    Print1.Enabled := False;
    Edit1.Enabled := False;
    Undo1.Enabled := False;
    Cut1.Enabled := False;
    Copy1.Enabled := False;
    Paste1.Enabled := False;
    Delete1.Enabled := False;
    Change1.Enabled := False;
    SelectAll1.Enabled := False;
    WordWrap1.Enabled := False;
    Search1.Enabled := False;
    Find1.Enabled := False;
    FindNext1.Enabled := False;
    FindandReplace1.Enabled := False;
    GotoLineNumber1.Enabled := False;
    GotoNextMethod1.Enabled := False;
    GotoPreviousMethod1.Enabled := False;
    MatchBracket1.Enabled := False;
    Insert1.Enabled := False;
    ProjectSettingsScrollBox.SetFocus;
  end;
  ProSpeedButton1.Enabled := New1.Enabled;
  ProSpeedButton2.Enabled := Open1.Enabled;
  ProSpeedButton3.Enabled := Save1.Enabled;
  ProSpeedButton4.Enabled := Print1.Enabled;
  ProSpeedButton6.Enabled := Undo1.Enabled;
  ProSpeedButton7.Enabled := Cut1.Enabled;
  ProSpeedButton8.Enabled := Copy1.Enabled;
  ProSpeedButton9.Enabled := Paste1.Enabled;
  ProSpeedButton10.Enabled := Delete1.Enabled;
  ProSpeedButton11.Enabled := Find1.Enabled;
  ProSpeedButton12.Enabled := FindNext1.Enabled;
  ProSpeedButton13.Enabled := GoToPreviousMethod1.Enabled;
  ProSpeedButton14.Enabled := GoToNextMethod1.Enabled;
  RefreshXYPosIndication;
  RefreshInsertIndication;
end; { PageControlChange }

{------------------------------------------------------------------------------}

procedure TMainForm.Find1Click(Sender: TObject);
begin
  FindDialog.Execute;
end; { Find1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.FindNext1Click(Sender: TObject);
begin
  FindDialogFind(FindDialog);
end; { FindNext1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.FindandReplace1Click(Sender: TObject);
begin
  ReplaceDialog.Execute;
end; { FindandReplace1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.SourceCodeRichEditChange(Sender: TObject);
begin
  SetProjectModified(True);
  RefreshXYPosIndication;
  if AutoSmartRefCheckBox.Checked then RefreshSmartRef;
end; { SourceCodeRichEditChange }

{------------------------------------------------------------------------------}

procedure TMainForm.ErrorMessagesRichEditChange(Sender: TObject);
begin
  SetProjectModified(False);
  RefreshXYPosIndication;
end; { ErrorMessagesRichEditChange }

{------------------------------------------------------------------------------}

procedure TMainForm.LogbookRichEditChange(Sender: TObject);
begin
  SetProjectModified(False);
  RefreshXYPosIndication;
end; { LogbookRichEditChange }

{------------------------------------------------------------------------------}

procedure TMainForm.TimerTimer(Sender: TObject);
begin
  Inc(BuildTime);
  BuildTimeResultLabel.Caption := IntToStr(BuildTime);
  if BackupCheckBox.Checked and ((Round(BuildTime / 10) * 10) = BuildTime) then
  begin
    ProStatusBar.Panels.Items[3].Text := 'Backing up Java source code';
    ProStatusBar.Refresh;
    try
      Application.ProcessMessages;
      if not WriteProtected(SaveDialog.FileName) then
        SourceCodeRichEdit.Lines.SaveToFile(ChangeFileExt(SaveDialog.FileName, '.bak'));
      Application.ProcessMessages;
    finally
      ProStatusBar.Panels.Items[3].Text := '';
      ProStatusBar.Refresh;
    end;
  end;
  SetProjectModified(False);
end; { TimerTimer }

{------------------------------------------------------------------------------}

procedure TMainForm.Compile2Click(Sender: TObject);
var
  I                                       : LongInt;
  LineStart                               : LongInt;
  Line                                    : LongInt;
  Dummy                                   : string;
  MessageFile                             : string;

  function GetCompilerParams: string;
  var
    Dummy  : string;
  begin
    Dummy := '';
    if SourcEdIni.ReadString('General', 'CompilerParams', '') <> '' then Dummy := Dummy + ' ' + SourcEdIni.ReadString('General', 'CompilerParams', '');
    if ClassPathProSelDirDialog.Directory <> '' then Dummy := Dummy + ' -classpath "' + ClassPathProSelDirDialog.Directory + '"';
    if DependCheckBox.Checked then Dummy := Dummy + ' -depend';
    if NowarnCheckBox.Checked then Dummy := Dummy + ' -nowarn';
    if VerboseCheckBox.Checked then Dummy := Dummy + ' -verbose';
    if NowriteCheckBox.Checked then Dummy := Dummy + ' -nowrite';
    if DeprecationCheckBox.Checked then Dummy := Dummy + ' -deprecation';
    GetCompilerParams := Dummy;
  end; { GetCompilerParams }

begin
  if SavedProject or (SaveDialog.FileName <> '') or (SaveDialog.Execute) then
  begin
    ProStatusBar.Panels.Items[3].Text := 'Compiling';
    ProStatusBar.Refresh;

    try
      if not WriteProtected(SaveDialog.FileName) then
      begin
        SourceCodeRichEdit.Lines.SaveToFile(ChangeFileExt(SaveDialog.FileName, '.java'));

        Application.ProcessMessages; {IMPORTANT!}

        MessageFile := CaptureConsole(CompilerOpenDialog.FileName + GetCompilerParams + ' "' + ChangeFileExt(SaveDialog.FileName, '.java') + '"', ChangeFileExt(SaveDialog.FileName, '.err'), False, False);

        Application.ProcessMessages; {IMPORTANT!}

        if FileExists(MessageFile) then ErrorMessagesRichEdit.Lines.LoadFromFile(MessageFile);

        if JumpOnErrorCheckBox.Checked and (ErrorMessagesRichEdit.Lines.Count > 0) then
        begin
          try
            Dummy := ErrorMessagesRichEdit.Lines[0];
            Delete(Dummy, 1, Length(ChangeFileExt(SaveDialog.FileName, '.java')) + 1);
            for I := 1 to Length(Dummy) do
            begin
              if not (Dummy[I] in ['0'..'9']) then Break;
            end;
            Delete(Dummy, I, Succ(Length(Dummy) - I));
            Line := StrToInt(Dummy);
            LineStart := 0;
            for I := 0 to (Line - 2) do
            LineStart := LineStart + Length(SourceCodeRichEdit.Lines.Strings[I]) + 2;
            SourceCodeRichEdit.SelStart := LineStart;
            SourceCodeRichEdit.SelLength := 0;
            SourceCodeRichEdit.Perform(EM_SCROLLCARET, 0, 0);

            if AutoSmartRefCheckBox.Checked then RefreshSmartRef;
            RefreshXYPosIndication;
          except
            ProStatusBar.Panels.Items[3].Text := 'Warning: "Jump On Error" failed!';
          end;
        end;
        if (not VerboseCheckBox.Checked) and (not DeprecationCheckBox.Checked) and (ErrorMessagesRichEdit.Lines.Count > 0) then
        begin
          PageControl.ActivePage := ErrorMessagesTabSheet;
          PageControlChange(ErrorMessagesTabSheet);
        end
        else
        begin
          Inc(BuildCount);
          BuildResultLabel.Caption := IntToStr(BuildCount);
          SetProjectModified(False);
          CompiledProject := True;
        end;
      end;
    finally
      ProStatusBar.Panels.Items[3].Text := '';
      ProStatusBar.Refresh;
    end;
  end;
end; { Compile2Click }

{------------------------------------------------------------------------------}

procedure TMainForm.Run1Click(Sender: TObject);
var
  StartupInfo                         : TStartupInfo;
  ProcessInformation                  : TProcessInformation;
  OldCurrentDir                       : string;
begin
  if (not CompiledProject) then Compile2Click(Sender);

  if ErrorMessagesRichEdit.Lines.Count > 0 then
  begin
    ProWarningDialog.WarningMessage := 'JSourcEd detects that there may still be some errors reported by the Java compiler! Do you wish to continue to view your applet?';
    if not ProWarningDialog.Execute then Exit;
  end;

  ProStatusBar.Panels.Items[3].Text := 'Viewing';
  ProStatusBar.Refresh;
  try
    if not WriteProtected(SaveDialog.FileName) then
    begin
      if (HTMLRichEdit.Lines.Count > 0) then
      begin
        HTMLRichEdit.Lines.SaveToFile(ChangeFileExt(SaveDialog.FileName, '.html'));

        Application.ProcessMessages; {IMPORTANT!}

        GetStartupInfo(StartupInfo);
        StartupInfo.dwFlags := STARTF_USESHOWWINDOW or STARTF_FORCEONFEEDBACK;
        StartupInfo.wShowWindow := SW_SHOWNORMAL;

        if UpperCase(ExtractFileName(ViewerOpenDialog.FileName)) = 'APPLETVIEWER.EXE' then
        begin
          OldCurrentDir := GetCurrentDir;
          ChDir(ExtractFilePath(SaveDialog.FileName));
          CreateProcess(nil, PChar(ViewerOpenDialog.FileName + ' "' + ExtractFileName(ChangeFileExt(SaveDialog.FileName, '.html')) + '"'), nil, nil, False, NORMAL_PRIORITY_CLASS, nil, nil, StartupInfo, ProcessInformation);
          ChDir(ExtractFilePath(OldCurrentDir));
        end
        else
          CreateProcess(nil, PChar(ViewerOpenDialog.FileName + ' "' + ChangeFileExt(SaveDialog.FileName, '.html') + '"'), nil, nil, False, NORMAL_PRIORITY_CLASS, nil, nil, StartupInfo, ProcessInformation);

//      begin
//        WaitForInputIdle(ProcessInformation.hProcess, INFINITE);
//        WaitForSingleObject(ProcessInformation.hProcess, INFINITE);
//      end;

      Application.ProcessMessages; {IMPORTANT!}
      end
      else
      begin
        PageControl.ActivePage := HTMLTabSheet;
        PageControlChange(HTMLTabSheet);
        ProStopDialog.StopMessage := 'You have to generate HTML code before you can Run!';
        ProStopDialog.Execute;
      end;
    end;
  finally
    ProStatusBar.Panels.Items[3].Text := '';
    ProStatusBar.Refresh;
  end;
end; { Run1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.FormActivate(Sender: TObject);
begin
  Timer.Enabled := True;
end; { FormActivate }

{------------------------------------------------------------------------------}

procedure TMainForm.FormDeactivate(Sender: TObject);
begin
  Timer.Enabled := False;
end; { FormDeactivate }

{------------------------------------------------------------------------------}

procedure TMainForm.AppletTemplate1Click(Sender: TObject);
var
  AppletName                                     : string;
  Proceed                                        : Boolean;
begin
  AppletName := ChangeFileExt(ExtractFileName(SaveDialog.FileName), '');
  Proceed := InputQuery('Applet Name', 'Please enter the applets name:', AppletName);
  if Proceed and (AppletName <> '') then
  begin
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '  import java.applet.*;');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '  import java.awt.*;');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '  ');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '  public class ' + AppletName + ' extends Applet');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '  {');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    public void start()');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // start');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '  ');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    public void init()');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // init');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '  ');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    public void paint(Graphics g)');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // paint');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '  ');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    public void stop()');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // stop');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '  ');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    public void destroy()');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // destroy');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '  } // ' + AppletName);
  end;
end; { AppletTemplate1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.Void1Click(Sender: TObject);
var
  MethodName                                     : string;
  Proceed                                        : Boolean;
begin
  MethodName := 'newMethod';
  Proceed := InputQuery('Method Name', 'Please enter the methods name:', MethodName);
  if Proceed and (MethodName <> '') then
  begin
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    public void ' + MethodName + '()');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // ' + MethodName);
  end;
end; { Void1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.Boolean1Click(Sender: TObject);
var
  MethodName                                     : string;
  Proceed                                        : Boolean;
begin
  MethodName := 'newMethod';
  Proceed := InputQuery('Method Name', 'Please enter the methods name:', MethodName);
  if Proceed and (MethodName <> '') then
  begin
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    public boolean ' + MethodName + '()');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // ' + MethodName);
  end;
end; { Boolean1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.Byte1Click(Sender: TObject);
var
  MethodName                                     : string;
  Proceed                                        : Boolean;
begin
  MethodName := 'newMethod';
  Proceed := InputQuery('Method Name', 'Please enter the methods name:', MethodName);
  if Proceed and (MethodName <> '') then
  begin
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    public byte ' + MethodName + '()');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // ' + MethodName);
  end;
end; { Byte1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.Short1Click(Sender: TObject);
var
  MethodName                                     : string;
  Proceed                                        : Boolean;
begin
  MethodName := 'newMethod';
  Proceed := InputQuery('Method Name', 'Please enter the methods name:', MethodName);
  if Proceed and (MethodName <> '') then
  begin
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    public short ' + MethodName + '()');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // ' + MethodName);
  end;
end; { Short1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.Int1Click(Sender: TObject);
var
  MethodName                                     : string;
  Proceed                                        : Boolean;
begin
  MethodName := 'newMethod';
  Proceed := InputQuery('Method Name', 'Please enter the methods name:', MethodName);
  if Proceed and (MethodName <> '') then
  begin
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    public int ' + MethodName + '()');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // ' + MethodName);
  end;
end; { Int1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.Long1Click(Sender: TObject);
var
  MethodName                                     : string;
  Proceed                                        : Boolean;
begin
  MethodName := 'newMethod';
  Proceed := InputQuery('Method Name', 'Please enter the methods name:', MethodName);
  if Proceed and (MethodName <> '') then
  begin
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    public long ' + MethodName + '()');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // ' + MethodName);
  end;
end; { Long1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.Float1Click(Sender: TObject);
var
  MethodName                                     : string;
  Proceed                                        : Boolean;
begin
  MethodName := 'newMethod';
  Proceed := InputQuery('Method Name', 'Please enter the methods name:', MethodName);
  if Proceed and (MethodName <> '') then
  begin
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    public float ' + MethodName + '()');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // ' + MethodName);
  end;
end; { Float1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.Double1Click(Sender: TObject);
var
  MethodName                                     : string;
  Proceed                                        : Boolean;
begin
  MethodName := 'newMethod';
  Proceed := InputQuery('Method Name', 'Please enter the methods name:', MethodName);
  if Proceed and (MethodName <> '') then
  begin
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    public double ' + MethodName + '()');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // ' + MethodName);
  end;
end; { Double1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.Char1Click(Sender: TObject);
var
  MethodName                                     : string;
  Proceed                                        : Boolean;
begin
  MethodName := 'newMethod';
  Proceed := InputQuery('Method Name', 'Please enter the methods name:', MethodName);
  if Proceed and (MethodName <> '') then
  begin
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    public char ' + MethodName + '()');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // ' + MethodName);
  end;
end; { Char1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.String1Click(Sender: TObject);
var
  MethodName                                     : string;
  Proceed                                        : Boolean;
begin
  MethodName := 'newMethod';
  Proceed := InputQuery('Method Name', 'Please enter the methods name:', MethodName);
  if Proceed and (MethodName <> '') then
  begin
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    public String ' + MethodName + '()');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // ' + MethodName);
  end;
end; { String1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.Void2Click(Sender: TObject);
var
  MethodName                                     : string;
  Proceed                                        : Boolean;
begin
  MethodName := 'newMethod';
  Proceed := InputQuery('Method Name', 'Please enter the methods name:', MethodName);
  if Proceed and (MethodName <> '') then
  begin
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    private void ' + MethodName + '()');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // ' + MethodName);
  end;
end; { Void2Click }

{------------------------------------------------------------------------------}

procedure TMainForm.Boolean2Click(Sender: TObject);
var
  MethodName                                     : string;
  Proceed                                        : Boolean;
begin
  MethodName := 'newMethod';
  Proceed := InputQuery('Method Name', 'Please enter the methods name:', MethodName);
  if Proceed and (MethodName <> '') then
  begin
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    private boolean ' + MethodName + '()');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // ' + MethodName);
  end;
end; { Boolean2Click }

{------------------------------------------------------------------------------}

procedure TMainForm.Byte2Click(Sender: TObject);
var
  MethodName                                     : string;
  Proceed                                        : Boolean;
begin
  MethodName := 'newMethod';
  Proceed := InputQuery('Method Name', 'Please enter the methods name:', MethodName);
  if Proceed and (MethodName <> '') then
  begin
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    private byte ' + MethodName + '()');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // ' + MethodName);
  end;
end; { Byte2Click }

{------------------------------------------------------------------------------}

procedure TMainForm.Short2Click(Sender: TObject);
var
  MethodName                                     : string;
  Proceed                                        : Boolean;
begin
  MethodName := 'newMethod';
  Proceed := InputQuery('Method Name', 'Please enter the methods name:', MethodName);
  if Proceed and (MethodName <> '') then
  begin
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    private short ' + MethodName + '()');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // ' + MethodName);
  end;
end; { Short2Click }

{------------------------------------------------------------------------------}

procedure TMainForm.Int2Click(Sender: TObject);
var
  MethodName                                     : string;
  Proceed                                        : Boolean;
begin
  MethodName := 'newMethod';
  Proceed := InputQuery('Method Name', 'Please enter the methods name:', MethodName);
  if Proceed and (MethodName <> '') then
  begin
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    private int ' + MethodName + '()');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // ' + MethodName);
  end;
end; { Int2Click }

{------------------------------------------------------------------------------}

procedure TMainForm.Long2Click(Sender: TObject);
var
  MethodName                                     : string;
  Proceed                                        : Boolean;
begin
  MethodName := 'newMethod';
  Proceed := InputQuery('Method Name', 'Please enter the methods name:', MethodName);
  if Proceed and (MethodName <> '') then
  begin
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    private long ' + MethodName + '()');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // ' + MethodName);
  end;
end; { Long2Click }

{------------------------------------------------------------------------------}

procedure TMainForm.Float2Click(Sender: TObject);
var
  MethodName                                     : string;
  Proceed                                        : Boolean;
begin
  MethodName := 'newMethod';
  Proceed := InputQuery('Method Name', 'Please enter the methods name:', MethodName);
  if Proceed and (MethodName <> '') then
  begin
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    private float ' + MethodName + '()');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // ' + MethodName);
  end;
end; { Float2Click }

{------------------------------------------------------------------------------}

procedure TMainForm.Double2Click(Sender: TObject);
var
  MethodName                                     : string;
  Proceed                                        : Boolean;
begin
  MethodName := 'newMethod';
  Proceed := InputQuery('Method Name', 'Please enter the methods name:', MethodName);
  if Proceed and (MethodName <> '') then
  begin
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    private double ' + MethodName + '()');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // ' + MethodName);
  end;
end; { Double2Click }

{------------------------------------------------------------------------------}

procedure TMainForm.Char2Click(Sender: TObject);
var
  MethodName                                     : string;
  Proceed                                        : Boolean;
begin
  MethodName := 'newMethod';
  Proceed := InputQuery('Method Name', 'Please enter the methods name:', MethodName);
  if Proceed and (MethodName <> '') then
  begin
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    private char ' + MethodName + '()');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // ' + MethodName);
  end;
end; { Char2Click }

{------------------------------------------------------------------------------}

procedure TMainForm.String2Click(Sender: TObject);
var
  MethodName                                     : string;
  Proceed                                        : Boolean;
begin
  MethodName := 'newMethod';
  Proceed := InputQuery('Method Name', 'Please enter the methods name:', MethodName);
  if Proceed and (MethodName <> '') then
  begin
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    private String ' + MethodName + '()');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // ' + MethodName);
  end;
end; { String2Click }

{------------------------------------------------------------------------------}

procedure TMainForm.SeparatorLine1Click(Sender: TObject);
begin
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '/*----------------------------------------------------------------------------*/');
end; { SeparatorLine1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.CompilerPath1Click(Sender: TObject);
begin
  if CompilerOpenDialog.Execute then
  begin
    SourcEdIni.WriteString('Paths', 'Compiler', CompilerOpenDialog.FileName);
  end;
end; { CompilerPath1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.ViewerPath1Click(Sender: TObject);
begin
  if ViewerOpenDialog.Execute then
  begin
    SourcEdIni.WriteString('Paths', 'Viewer', ViewerOpenDialog.FileName);
  end;
end; { ViewerPath1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.MaximizeAtStartup1Click(Sender: TObject);
begin
  MaximizeAtStartup1.Checked := not MaximizeAtStartup1.Checked;
  SourcEdIni.WriteBool('General', 'Maximize', MaximizeAtStartup1.Checked);
end; { MaximizeAtStartup1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.About1Click(Sender: TObject);
begin
  with TAboutForm.Create(Self) do
  try
    ShowModal;
  finally
    Free;
  end;
end; { About1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.SourceCodeRichEditKeyUp(Sender: TObject; var Key: Word; Shift: TShiftState);
var
  I                                                 : LongInt;
  InsertChars                                       : string;
  LastLine                                          : string;
  JumpToLine                                        : LongInt;
  LineStart                                         : LongInt;
begin
  if (Key = VK_INSERT) and (Shift = []) then
  begin
    SourceCodeInsert := not SourceCodeInsert;
    RefreshInsertIndication;
  end
  else
  if (Key = VK_RETURN) and (Shift = []) and IndentCheckBox.Checked and (SourceCodeRichEdit.Lines.Count > 0) then
  begin
    InsertChars := '';
    LastLine := '';
    for I := (SourceCodeRichEdit.SelStart - 2) downto 1 do
    begin
      if (SourceCodeRichEdit.Text[I] = #10) or (SourceCodeRichEdit.Text[I] = #13) then Break
      else LastLine := LastLine + SourceCodeRichEdit.Text[I];
    end;

    for I := Length(LastLine) downto 1 do
    begin
      if (LastLine[I] <> #32) and (LastLine[I] <> #9) then Break
      else InsertChars := InsertChars + LastLine[I];
    end;

    if Length(InsertChars) > 0 then SourceCodeRichEdit.SelText := InsertChars;
  end
  else
  if (Key = VK_F1) and (Shift = [ssCtrl]) and (AutoSmartRefCheckBox.State = cbGrayed) then RefreshSmartRef
  else
  if (Key = VK_F2) and (Shift = []) then
  begin
    SourceCodeRichEdit.Refresh;
  end
  else
  if (Shift = [ssCtrl, ssShift]) then
  begin
    case Key of
      Ord('1'): Marker1 := LongRec(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0)).Lo + 1;
      Ord('2'): Marker2 := LongRec(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0)).Lo + 1;
      Ord('3'): Marker3 := LongRec(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0)).Lo + 1;
      Ord('4'): Marker4 := LongRec(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0)).Lo + 1;
      Ord('5'): Marker5 := LongRec(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0)).Lo + 1;
      Ord('6'): Marker6 := LongRec(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0)).Lo + 1;
      Ord('7'): Marker7 := LongRec(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0)).Lo + 1;
      Ord('8'): Marker8 := LongRec(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0)).Lo + 1;
      Ord('9'): Marker9 := LongRec(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0)).Lo + 1;
      Ord('0'): Marker0 := LongRec(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0)).Lo + 1;
    end;
  end
  else
  if (Shift = [ssCtrl]) then
  begin
    JumpToLine := -1;
    case Key of
      Ord('1'): JumpToLine := Marker1;
      Ord('2'): JumpToLine := Marker2;
      Ord('3'): JumpToLine := Marker3;
      Ord('4'): JumpToLine := Marker4;
      Ord('5'): JumpToLine := Marker5;
      Ord('6'): JumpToLine := Marker6;
      Ord('7'): JumpToLine := Marker7;
      Ord('8'): JumpToLine := Marker8;
      Ord('9'): JumpToLine := Marker9;
      Ord('0'): JumpToLine := Marker0;
    end;

    if (JumpToLine > SourceCodeRichEdit.Lines.Count) then JumpToLine := SourceCodeRichEdit.Lines.Count;
    if (JumpToLine > -1) then
    begin
      SourceCodeRichEdit.SetFocus;
      LineStart := 0;
      for I := 0 to (JumpToLine - 2) do
        LineStart := LineStart + Length(SourceCodeRichEdit.Lines[I]) + 2;
      SourceCodeRichEdit.SelStart := LineStart;
      SourceCodeRichEdit.SelLength := 0;
      SourceCodeRichEdit.Perform(EM_SCROLLCARET, 0, 0);
    end;
  end;

  if AutoSmartRefCheckBox.Checked then RefreshSmartRef;
  RefreshXYPosIndication;
end; { SourceCodeRichEditKeyUp }

{------------------------------------------------------------------------------}

procedure TMainForm.SourceCodeRichEditMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  RefreshXYPosIndication;
  if AutoSmartRefCheckBox.Checked then RefreshSmartRef;
end; { SourceCodeRichEditMouseDown }

{------------------------------------------------------------------------------}

procedure TMainForm.ErrorMessagesRichEditKeyUp(Sender: TObject; var Key: Word; Shift: TShiftState);
begin
  RefreshXYPosIndication;
  if (Key = VK_F2) and (Shift = []) then
  begin
    ErrorMessagesRichEdit.Refresh;
  end;
end; { ErrorMessagesRichEditKeyUp }

{------------------------------------------------------------------------------}

procedure TMainForm.ErrorMessagesRichEditMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  RefreshXYPosIndication;
end; { ErrorMessagesRichEditMouseDown }

{------------------------------------------------------------------------------}

procedure TMainForm.LogbookRichEditKeyUp(Sender: TObject; var Key: Word; Shift: TShiftState);
begin
  if (Key = VK_INSERT) and (Shift = []) then
  begin
    LogbookInsert := not LogbookInsert;
    RefreshInsertIndication;
  end
  else
  if (Key = VK_F2) and (Shift = []) then
  begin
    LogbookRichEdit.Refresh;
  end;
  RefreshXYPosIndication;
end; { LogbookRichEditKeyUp }

{------------------------------------------------------------------------------}

procedure TMainForm.LogbookRichEditMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  RefreshXYPosIndication;
end; { LogbookRichEditMouseDown }

{------------------------------------------------------------------------------}

procedure TMainForm.ToolbarCheckBoxClick(Sender: TObject);
begin
  SpeedPanel.Visible := ToolbarCheckBox.Checked;
end; { ToolbarCheckBoxClick }

{------------------------------------------------------------------------------}

procedure TMainForm.BracketCount1Click(Sender: TObject);
var
  IndexA, IndexB                             : LongInt;
  Comment                                    : Boolean;
  Citation                                   : Boolean;
  SquareBeginCount, SquareEndCount           : LongInt;
  RoundBeginCount, RoundEndCount             : LongInt;
  AccoladesBeginCount, AccoladesEndCount     : LongInt;
  IndexedChar                                ,
  SuccIndexedChar                            ,
  PredIndexedChar                            : Char;
begin
  Comment := False;
  Citation := False;

  RoundBeginCount := 0;
  RoundEndCount := 0;
  SquareBeginCount := 0;
  SquareEndCount := 0;
  AccoladesBeginCount := 0;
  AccoladesEndCount := 0;

  for IndexA := 0 to Pred(SourceCodeRichEdit.Lines.Count) do
  begin
    Application.ProcessMessages; {IMPORTANT!}
    for IndexB := 1 to Length(SourceCodeRichEdit.Lines[IndexA]) do
    begin
      PredIndexedChar := SourceCodeRichEdit.Lines[IndexA][Pred(IndexB)];
      IndexedChar := SourceCodeRichEdit.Lines[IndexA][IndexB];
      SuccIndexedChar := SourceCodeRichEdit.Lines[IndexA][Succ(IndexB)];

      if (not Comment) and (IndexedChar = '"') then Citation := not Citation;

      if (not Citation) and (not Comment) and
         (IndexedChar = '/') and
         (SuccIndexedChar = '/') then Break;

      if (not Citation) and (IndexedChar = '/') and
         (SuccIndexedChar = '*') then Comment := True;

      if (not Citation) and Comment and (IndexedChar = '/') and
         (PredIndexedChar = '*') then Comment := False;

      if (not Comment) and (not Citation) then
      begin
        case Ord(IndexedChar) of
          Ord('('): Inc(RoundBeginCount);
          Ord(')'): Inc(RoundEndCount);
          Ord('{'): Inc(AccoladesBeginCount);
          Ord('}'): Inc(AccoladesEndCount);
          Ord('['): Inc(SquareBeginCount);
          Ord(']'): Inc(SquareEndCount);
        end;
      end;
    end;
  end;
  ProInfoDialog.InfoMessage := '{ = ' + IntToStr(AccoladesBeginCount) + '    } = ' + IntToStr(AccoladesEndCount) + #13 +
                               '( = ' + IntToStr(RoundBeginCount) + '    ) = ' + IntToStr(RoundEndCount) + #13 +
                               '[ = ' + IntToStr(SquareBeginCount) + '    ] = ' + IntToStr(SquareEndCount);
  ProInfoDialog.Execute;
end; { BlockCheck1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.GotoNextMethod1Click(Sender: TObject);
var
  IndexA, IndexB, IndexC                         : LongInt;
  LineStart                                      : LongInt;
  Comment                                        : Boolean;
  Citation                                       : Boolean;
  IndexedChar                                    ,
  SuccIndexedChar                                ,
  PredIndexedChar                                : Char;
begin
  Comment := False;
  Citation := False;
  for IndexA := (LongRec(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0)).Lo + 1) to Pred(SourceCodeRichEdit.Lines.Count) do
  begin
    Application.ProcessMessages; {IMPORTANT!}
    for IndexB := 1 to Length(SourceCodeRichEdit.Lines[IndexA]) do
    begin
      PredIndexedChar := SourceCodeRichEdit.Lines[IndexA][Pred(IndexB)];
      IndexedChar := SourceCodeRichEdit.Lines[IndexA][IndexB];
      SuccIndexedChar := SourceCodeRichEdit.Lines[IndexA][Succ(IndexB)];

      if (not Comment) and (IndexedChar = '"') then Citation := not Citation;

      if (not Citation) and (not Comment) and
         (IndexedChar = '/') and
         (SuccIndexedChar = '/') then Break;

      if (not Citation) and (IndexedChar = '/') and
         (SuccIndexedChar = '*') then Comment := True;

      if (not Citation) and Comment and (IndexedChar = '/') and
         (PredIndexedChar = '*') then Comment := False;

      if ((not Comment) and (not Citation)) and
        ((IndexB = 1) and (
         ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 6)) = 'CLASS ')) or
         ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 7)) = 'PUBLIC ')) or
         ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 8)) = 'PRIVATE ')) or
         ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 10)) = 'PROTECTED ')) or
         ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 8)) = 'PACKAGE '))) or
         ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 7)) = ' CLASS ')) or
         ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 8)) = ' PUBLIC ')) or
         ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 9)) = ' PRIVATE ')) or
         ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 11)) = ' PROTECTED ')) or
         ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 9)) = ' PACKAGE ')) or
         ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 7)) = #9'CLASS ')) or
         ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 8)) = #9'PUBLIC ')) or
         ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 9)) = #9'PRIVATE ')) or
         ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 11)) = #9'PROTECTED ')) or
         ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 9)) = #9'PACKAGE '))) then
      begin
        SourceCodeRichEdit.SetFocus;
        LineStart := 0;
        for IndexC := 0 to (IndexA - 1) do
          LineStart := LineStart + Length(SourceCodeRichEdit.Lines[IndexC]) + 2;
        SourceCodeRichEdit.SelStart := LineStart;
        SourceCodeRichEdit.SelLength := 0;
        SourceCodeRichEdit.Perform(EM_SCROLLCARET, 0, 0);

        RefreshXYPosIndication;
        if AutoSmartRefCheckBox.Checked then RefreshSmartRef;

        Exit;
      end;
    end;
  end;
end; { GotoNextMethod1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.GotoPreviousMethod1Click(Sender: TObject);
var
  IndexA, IndexB, IndexC                         : LongInt;
  LineStart                                      : LongInt;
  Comment                                        : Boolean;
  Citation                                       : Boolean;
  IndexedChar                                    ,
  SuccIndexedChar                                ,
  PredIndexedChar                                : Char;
begin
  Comment := False;
  Citation := False;
  for IndexA := (LongRec(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0)).Lo - 1) downto 0 do
  begin
    Application.ProcessMessages; {IMPORTANT!}
    for IndexB := Length(SourceCodeRichEdit.Lines[IndexA]) downto 1 do
    begin
      PredIndexedChar := SourceCodeRichEdit.Lines[IndexA][Pred(IndexB)];
      IndexedChar := SourceCodeRichEdit.Lines[IndexA][IndexB];
      SuccIndexedChar := SourceCodeRichEdit.Lines[IndexA][Succ(IndexB)];

      if (not Comment) and (IndexedChar = '"') then Citation := not Citation;

      if (not Citation) and (not Comment) and
         (SourceCodeRichEdit.Lines.Strings[IndexA][Pred(Length(SourceCodeRichEdit.Lines[IndexA]) - IndexB)] = '/') and
         (SourceCodeRichEdit.Lines[IndexA][(Length(SourceCodeRichEdit.Lines[IndexA]) - IndexB)] = '/') and
         (IndexB < Pos(SourceCodeRichEdit.Lines.Strings[IndexA], '//')) then Break;

      if (not Citation) and (IndexedChar = '*') and
         (SuccIndexedChar = '/') then Comment := True;

      if (not Citation) and Comment and (IndexedChar = '*') and
         (PredIndexedChar = '/') then Comment := False;

      if ((not Comment) and (not Citation)) and
        ((IndexB = 1) and (
         ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 6)) = 'CLASS ')) or
         ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 7)) = 'PUBLIC ')) or
         ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 8)) = 'PRIVATE ')) or
         ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 10)) = 'PROTECTED ')) or
         ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 8)) = 'PACKAGE '))) or
         ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 7)) = ' CLASS ')) or
         ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 8)) = ' PUBLIC ')) or
         ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 9)) = ' PRIVATE ')) or
         ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 11)) = ' PROTECTED ')) or
         ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 9)) = ' PACKAGE ')) or
         ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 7)) = #9'CLASS ')) or
         ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 8)) = #9'PUBLIC ')) or
         ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 9)) = #9'PRIVATE ')) or
         ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 11)) = #9'PROTECTED ')) or
         ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 9)) = #9'PACKAGE '))) then
      begin
        SourceCodeRichEdit.SetFocus;
        LineStart := 0;
        for IndexC := 0 to (IndexA - 1) do
          LineStart := LineStart + Length(SourceCodeRichEdit.Lines[IndexC]) + 2;
        SourceCodeRichEdit.SelStart := LineStart;
        SourceCodeRichEdit.SelLength := 0;
        SourceCodeRichEdit.Perform(EM_SCROLLCARET, 0, 0);

        RefreshXYPosIndication;
        if AutoSmartRefCheckBox.Checked then RefreshSmartRef;

        Exit;
      end;
    end;
  end;
end; { GotoPreviousMethod1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.GotoLineNumber1Click(Sender: TObject);
var
  LineStart, I                                   : LongInt;
begin
  with TLineForm.Create(Self) do
  try
    MaxLine := Succ(SourceCodeRichEdit.Lines.Count);
    ShowModal;
    if ClickedOK then
    begin
      SourceCodeRichEdit.SetFocus;
      LineStart := 0;
      for I := 0 to (SelectedLine - 2) do
        LineStart := LineStart + Length(SourceCodeRichEdit.Lines[I]) + 2;
      SourceCodeRichEdit.SelStart := LineStart;
      SourceCodeRichEdit.SelLength := 0;
      SourceCodeRichEdit.Perform(EM_SCROLLCARET, 0, 0);

      RefreshXYPosIndication;
      if AutoSmartRefCheckBox.Checked then RefreshSmartRef;
    end;
  finally
    Free;
  end;
end; { GotoLineNumber1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.Calculator1Click(Sender: TObject);
begin
  ProCalcDialog.Execute;
end; { Calculator1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.FormDestroy(Sender: TObject);
begin
  if RecentFile1.Enabled then SourcEdIni.WriteString('RecentFiles', '1', RecentFile1.Hint);
  if RecentFile2.Enabled then SourcEdIni.WriteString('RecentFiles', '2', RecentFile2.Hint);
  if RecentFile3.Enabled then SourcEdIni.WriteString('RecentFiles', '3', RecentFile3.Hint);
  if RecentFile4.Enabled then SourcEdIni.WriteString('RecentFiles', '4', RecentFile4.Hint);
  if RecentFile5.Enabled then SourcEdIni.WriteString('RecentFiles', '5', RecentFile5.Hint);
  SourcEdIni.Free;
  SmartRefList.Free;
  KeywordList.Free;
end; { FormDestroy }

{------------------------------------------------------------------------------}

procedure TMainForm.RecentFileClick(Sender: TObject);
var
  Proceed                                   : Boolean;
  WhichTabs                                 : string;
begin
  if not SavedProject then
  begin
    ProConfirmDialog.Condition := 'You haven''t saved your changes to the following project:';
    ProConfirmDialog.Description := ChangeFileExt(SaveDialog.FileName, '.java');
    ProConfirmDialog.Question := 'Do you wish to save it now?';
    if ProConfirmDialog.Execute then
    begin
      if (SaveDialog.FileName <> '') or (SaveDialog.Execute) then
      begin
        try
          SourceCodeRichEdit.Lines.SaveToFile(ChangeFileExt(SaveDialog.FileName, '.java'));
        finally
          Application.ProcessMessages;
          try
            ErrorMessagesRichEdit.Lines.SaveToFile(ChangeFileExt(SaveDialog.FileName, '.err'));
          finally
            Application.ProcessMessages;
            try
              HTMLRichEdit.Lines.SaveToFile(ChangeFileExt(SaveDialog.FileName, '.html'));
            finally
              Application.ProcessMessages;
              try
                LogbookRichEdit.Lines.SaveToFile(ChangeFileExt(SaveDialog.FileName, '.log'));
              finally
                Application.ProcessMessages;
                try
                  SaveProjectSettingsToFile(ChangeFileExt(SaveDialog.FileName, '.jps'));
                finally
                  Application.ProcessMessages;
                  ShiftRecentList;
                end;
              end;
            end;
          end;
        end;
      end;
      Proceed := True;
    end
    else
    begin
      if not ProConfirmDialog.Cancel then Proceed := True
      else Proceed := False;
    end;
  end
  else
    Proceed := True;

  if Proceed then
  begin
    if Sender = RecentFile1 then
      OpenDialog.FileName := RecentFile1.Hint
    else
    if Sender = RecentFile2 then
      OpenDialog.FileName := RecentFile2.Hint
    else
    if Sender = RecentFile3 then
      OpenDialog.FileName := RecentFile3.Hint
    else
    if Sender = RecentFile4 then
      OpenDialog.FileName := RecentFile4.Hint
    else
    if Sender = RecentFile5 then
      OpenDialog.FileName := RecentFile5.Hint;

    OpenDialog.FileName := ExpandFileName(OpenDialog.FileName);
    SaveDialog.FileName := OpenDialog.FileName;
    MainForm.Caption := 'JSourcEd - ' + ExtractFileName(OpenDialog.FileName);

    ChDir(ExtractFilePath(OpenDialog.FileName));

    WhichTabs := '';

    Application.ProcessMessages;
    if FileExists(OpenDialog.FileName) then
      SourceCodeRichEdit.Lines.LoadFromFile(OpenDialog.FileName)
    else
    begin
      SourceCodeRichEdit.Lines.Clear;
      WhichTabs := WhichTabs + 'source code, ';
    end;

    Application.ProcessMessages;
    if FileExists(ChangeFileExt(OpenDialog.FileName, '.err')) then
      ErrorMessagesRichEdit.Lines.LoadFromFile(ChangeFileExt(OpenDialog.FileName, '.err'))
    else
    begin
      ErrorMessagesRichEdit.Lines.Clear;
      WhichTabs := WhichTabs + 'error messages, ';
    end;

    Application.ProcessMessages;
    if FileExists(ChangeFileExt(OpenDialog.FileName, '.html')) then
      HTMLRichEdit.Lines.LoadFromFile(ChangeFileExt(OpenDialog.FileName, '.html'))
    else
    begin
      HTMLRichEdit.Lines.Clear;
      WhichTabs := WhichTabs + 'hypertext markup, ';
    end;

    Application.ProcessMessages;
    if FileExists(ChangeFileExt(OpenDialog.FileName, '.log')) then
      LogbookRichEdit.Lines.LoadFromFile(ChangeFileExt(OpenDialog.FileName, '.log'))
    else
    begin
      LogbookRichEdit.Lines.Clear;
      WhichTabs := WhichTabs + 'logbook, ';
    end;

    if WhichTabs <> '' then
    begin
      SetLength(WhichTabs, Length(WhichTabs) - 2);
      ProInfoDialog.InfoMessage := 'Cannot open the ' + WhichTabs + ' file(s)!';
      ProInfoDialog.Execute;
    end;

    Application.ProcessMessages;
    LoadProjectSettingsFromFile(ChangeFileExt(OpenDialog.FileName, '.jps'));

    ShiftRecentList;
    SetProjectUnmodified;

    RefreshXYPosIndication;
    if AutoSmartRefCheckBox.Checked then RefreshSmartRef;
  end;
end; { RecentFileClick }

{------------------------------------------------------------------------------}

procedure TMainForm.FindDialogFind(Sender: TObject);
begin
  if Sender = FindDialog then
  begin
    if PageControl.ActivePage = SourceCodeTabSheet then
    begin
      if SearchMemo(SourceCodeRichEdit, FindDialog.FindText, FindDialog.Options) then
      begin
        SourceCodeRichEdit.Perform(EM_SCROLLCARET, 0, 0);
        RefreshXYPosIndication;
        if AutoSmartRefCheckBox.Checked then RefreshSmartRef;
      end
      else
      begin
        ProStopDialog.StopMessage := 'Can''t find ''' + FindDialog.FindText + '''!';
        ProStopDialog.Execute;
      end;
    end
    else
    if PageControl.ActivePage = ErrorMessagesTabSheet then
    begin
      if SearchMemo(ErrorMessagesRichEdit, FindDialog.FindText, FindDialog.Options) then
      begin
        ErrorMessagesRichEdit.Perform(EM_SCROLLCARET, 0, 0);
        RefreshXYPosIndication;
      end
      else
      begin
        ProStopDialog.StopMessage := 'Can''t find ''' + FindDialog.FindText + '''!';
        ProStopDialog.Execute;
      end;
    end
    else
    if PageControl.ActivePage = HTMLTabSheet then
    begin
      if SearchMemo(HTMLRichEdit, FindDialog.FindText, FindDialog.Options) then
      begin
        HTMLRichEdit.Perform(EM_SCROLLCARET, 0, 0);
        RefreshXYPosIndication;
      end
      else
      begin
        ProStopDialog.StopMessage := 'Can''t find ''' + FindDialog.FindText + '''!';
        ProStopDialog.Execute;
      end;
    end
    else
    if PageControl.ActivePage = LogbookTabSheet then
    begin
      if SearchMemo(LogbookRichEdit, FindDialog.FindText, FindDialog.Options) then
      begin
        LogbookRichEdit.Perform(EM_SCROLLCARET, 0, 0);
        RefreshXYPosIndication;
      end
      else
      begin
        ProStopDialog.StopMessage := 'Can''t find ''' + FindDialog.FindText + '''!';
        ProStopDialog.Execute;
      end;
    end;
  end
  else
  if Sender = ReplaceDialog then
  begin
    if PageControl.ActivePage = SourceCodeTabSheet then
    begin
      if SearchMemo(SourceCodeRichEdit, ReplaceDialog.FindText, ReplaceDialog.Options) then
      begin
        SourceCodeRichEdit.Perform(EM_SCROLLCARET, 0, 0);
        RefreshXYPosIndication;
        if AutoSmartRefCheckBox.Checked then RefreshSmartRef;
      end
      else
      begin
        ProStopDialog.StopMessage := 'Can''t find ''' + ReplaceDialog.FindText + '''!';
        ProStopDialog.Execute;
      end;
    end
    else
    if PageControl.ActivePage = HTMLTabSheet then
    begin
      if SearchMemo(HTMLRichEdit, ReplaceDialog.FindText, ReplaceDialog.Options) then
      begin
        HTMLRichEdit.Perform(EM_SCROLLCARET, 0, 0);
        RefreshXYPosIndication;
      end
      else
      begin
        ProStopDialog.StopMessage := 'Can''t find ''' + ReplaceDialog.FindText + '''!';
        ProStopDialog.Execute;
      end;
    end
    else
    if PageControl.ActivePage = LogbookTabSheet then
    begin
      if SearchMemo(LogbookRichEdit, ReplaceDialog.FindText, ReplaceDialog.Options) then
      begin
        LogbookRichEdit.Perform(EM_SCROLLCARET, 0, 0);
        RefreshXYPosIndication;
      end
      else
      begin
        ProStopDialog.StopMessage := 'Can''t find ''' + ReplaceDialog.FindText + '''!';
        ProStopDialog.Execute;
      end;
    end;
  end;
end; { FindDialogFind }

{------------------------------------------------------------------------------}

procedure TMainForm.ReplaceDialogReplace(Sender: TObject);
begin
  if PageControl.ActivePage = SourceCodeTabSheet then
  begin
    if (ReplaceDialog.Options * [frReplace]) = [frReplace] then
    begin
      if SourceCodeRichEdit.SelText = '' then FindDialogFind(Sender)
      else
      begin
        SourceCodeRichEdit.SelText := ReplaceDialog.ReplaceText;
        FindDialogFind(Sender);
      end;
    end
    else
    begin
      while SearchMemo(SourceCodeRichEdit, ReplaceDialog.FindText, ReplaceDialog.Options) do
      begin
        SourceCodeRichEdit.SelText := ReplaceDialog.ReplaceText
      end;
    end;
  end
  else
  if PageControl.ActivePage = HTMLTabSheet then
  begin
    if (ReplaceDialog.Options * [frReplace]) = [frReplace] then
    begin
      if HTMLRichEdit.SelText = '' then FindDialogFind(Sender)
      else
      begin
        HTMLRichEdit.SelText := ReplaceDialog.ReplaceText;
        FindDialogFind(Sender);
      end;
    end
    else
    begin
      while SearchMemo(HTMLRichEdit, ReplaceDialog.FindText, ReplaceDialog.Options) do
      begin
        HTMLRichEdit.SelText := ReplaceDialog.ReplaceText
      end;
    end;
  end
  else
  if PageControl.ActivePage = LogbookTabSheet then
  begin
    if (ReplaceDialog.Options * [frReplace]) = [frReplace] then
    begin
      if LogbookRichEdit.SelText = '' then FindDialogFind(Sender)
      else
      begin
        LogbookRichEdit.SelText := ReplaceDialog.ReplaceText;
        FindDialogFind(Sender);
      end;
    end
    else
    begin
      while SearchMemo(LogbookRichEdit, ReplaceDialog.FindText, ReplaceDialog.Options) do
      begin
        LogbookRichEdit.SelText := ReplaceDialog.ReplaceText
      end;
    end;
  end;
end; { ReplaceDialogReplace }

{------------------------------------------------------------------------------}

procedure TMainForm.AutoSmartRefCheckBoxClick(Sender: TObject);
begin
  if AutoSmartRefCheckBox.Checked = True then
  begin
    SeparatorPanel.Visible := True;
    SmartRefPanel.Visible := True;
    KeywordCheckBox.Enabled := True;
  end
  else
  if AutoSmartRefCheckBox.State = cbGrayed then
  begin
    SeparatorPanel.Visible := True;
    SmartRefPanel.Visible := True;
    KeywordCheckBox.Enabled := True;
  end
  else
  begin
    SeparatorPanel.Visible := False;
    SmartRefPanel.Visible := False;
    KeywordCheckBox.Enabled := False;
  end;
  RefreshSmartRef;
  SetProjectModified(False);
end; { AutoSmartRefCheckBoxClick }

{------------------------------------------------------------------------------}

procedure TMainForm.ColorCode1Click(Sender: TObject);
begin
  if ColorDialog.Execute then
  begin
    SourceCodeRichEdit.SelText := 'new Color(' + IntToStr(Lo(LongRec(ColorDialog.Color).Lo)) + ', ' + IntToStr(Hi(LongRec(ColorDialog.Color).Lo)) + ', ' + IntToStr(Lo(LongRec(ColorDialog.Color).Hi)) + ')';
  end;
end;

{------------------------------------------------------------------------------}

procedure TMainForm.FormResize(Sender: TObject);
begin
  if PageControl.ActivePage = SourceCodeTabSheet then SourceCodeRichEdit.Refresh
  else
  if PageControl.ActivePage = ErrorMessagesTabSheet then ErrorMessagesRichEdit.Refresh
  else
  if PageControl.ActivePage = HTMLTabSheet then HTMLRichEdit.Refresh
  else
  if PageControl.ActivePage = LogbookTabSheet then LogbookRichEdit.Refresh;
end; { FormResize }

{------------------------------------------------------------------------------}

procedure TMainForm.SourceCodeRichEditSelectionChange(Sender: TObject);
begin
  if SourceCodeRichEdit.SelLength > 0 then
  begin
    Cut1.Enabled := True;
    Copy1.Enabled := True;
    Delete1.Enabled := True;
    Change1.Enabled := True;
  end
  else
  begin
    Cut1.Enabled := False;
    Copy1.Enabled := False;
    Delete1.Enabled := False;
    Change1.Enabled := False;
  end;
  Cut2.Enabled := Cut1.Enabled;
  Copy2.Enabled := Copy1.Enabled;
  Delete2.Enabled := Delete1.Enabled;
  ProSpeedButton7.Enabled := Cut1.Enabled;
  ProSpeedButton8.Enabled := Copy1.Enabled;
  ProSpeedButton10.Enabled := Delete1.Enabled;
end; { SourceCodeRichEditSelectionChange }

{------------------------------------------------------------------------------}

procedure TMainForm.ErrorMessagesRichEditSelectionChange(Sender: TObject);
begin
  if ErrorMessagesRichEdit.SelLength > 0 then
  begin
    Cut1.Enabled := False;
    Copy1.Enabled := True;
    Delete1.Enabled := False;
    Change1.Enabled := False;
  end
  else
  begin
    Cut1.Enabled := False;
    Copy1.Enabled := False;
    Delete1.Enabled := False;
    Change1.Enabled := False;
  end;
  Cut2.Enabled := Cut1.Enabled;
  Copy2.Enabled := Copy1.Enabled;
  Delete2.Enabled := Delete1.Enabled;
  ProSpeedButton7.Enabled := Cut1.Enabled;
  ProSpeedButton8.Enabled := Copy1.Enabled;
  ProSpeedButton10.Enabled := Delete1.Enabled;
end; { ErrorMessagesRichEditSelectionChange }

{------------------------------------------------------------------------------}

procedure TMainForm.LogbookRichEditSelectionChange(Sender: TObject);
begin
  if LogbookRichEdit.SelLength > 0 then
  begin
    Cut1.Enabled := True;
    Copy1.Enabled := True;
    Delete1.Enabled := True;
    Change1.Enabled := True;
  end
  else
  begin
    Cut1.Enabled := False;
    Copy1.Enabled := False;
    Delete1.Enabled := False;
    Change1.Enabled := False;
  end;
  Cut2.Enabled := Cut1.Enabled;
  Copy2.Enabled := Copy1.Enabled;
  Delete2.Enabled := Delete1.Enabled;
  ProSpeedButton7.Enabled := Cut1.Enabled;
  ProSpeedButton8.Enabled := Copy1.Enabled;
  ProSpeedButton10.Enabled := Delete1.Enabled;
end; { LogbookRichEditSelectionChange }

{------------------------------------------------------------------------------}

procedure TMainForm.DependCheckBoxClick(Sender: TObject);
begin
  SetProjectModified(True);
end; { DependCheckBoxClick }

{------------------------------------------------------------------------------}

procedure TMainForm.NowarnCheckBoxClick(Sender: TObject);
begin
  SetProjectModified(True);
end; { NowarnCheckBoxClick }

{------------------------------------------------------------------------------}

procedure TMainForm.VerboseCheckBoxClick(Sender: TObject);
begin
  SetProjectModified(True);
end; { VerboseCheckboxClick }

{------------------------------------------------------------------------------}

procedure TMainForm.NowriteCheckBoxClick(Sender: TObject);
begin
  SetProjectModified(True);
end; { NowriteCheckBoxClick }

{------------------------------------------------------------------------------}

procedure TMainForm.DeprecationCheckBoxClick(Sender: TObject);
begin
  SetProjectModified(True);
end; { DeprecationCheckBoxClick }

{------------------------------------------------------------------------------}

procedure TMainForm.MajorVersionSpinEditChange(Sender: TObject);
begin
  SetProjectModified(False);
end; { MajorVersionSpinEditChange }

{------------------------------------------------------------------------------}

procedure TMainForm.StandardVersionSpinEditChange(Sender: TObject);
begin
  SetProjectModified(False);
end; { StandardVersionSpinEditChange }

{------------------------------------------------------------------------------}

procedure TMainForm.MinorVersionSpinEditChange(Sender: TObject);
begin
  SetProjectModified(False);
end; { MinorVersionSpinEditChange }

{------------------------------------------------------------------------------}

procedure TMainForm.IndentCheckBoxClick(Sender: TObject);
begin
  SetProjectModified(False);
end; { IndentCheckBoxClick }

{------------------------------------------------------------------------------}

procedure TMainForm.JumpOnErrorCheckBoxClick(Sender: TObject);
begin
  SetProjectModified(False);
end; { JumpOnErrorCheckBoxClick }

{------------------------------------------------------------------------------}

procedure TMainForm.BackupCheckBoxClick(Sender: TObject);
begin
  SetProjectModified(False);
end; { BackupCheckBoxClick }

{------------------------------------------------------------------------------}

procedure TMainForm.License1Click(Sender: TObject);
label
  Start;
begin
  with TLicenseForm.Create(Self) do
  try
Start:
    ShowModal;
    if Accepted then
    begin
      SourcEdIni.WriteInteger('License', 'Accepted', LicenseVer);
    end
    else
    begin
      ProWarningDialog.WarningMessage := 'Declining will instantly terminate JSourcEd,'#13'are you sure?';
      if ProWarningDialog.Execute then
      begin
        Application.Terminate;
        SourcEdIni.WriteInteger('License', 'Accepted', 0);
      end
      else
        goto Start;
    end;
  finally
    Free;
  end;
end; { License1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.Restore1Click(Sender: TObject);
var
  Proceed                                 : Boolean;
begin
  if FileExists(ChangeFileExt(SaveDialog.FileName, '.bak')) then
  begin
    if not SavedProject then
    begin
      ProConfirmDialog.Condition := 'You haven''t saved your changes to the following project:';
      ProConfirmDialog.Description := ChangeFileExt(SaveDialog.FileName, '.java');
      ProConfirmDialog.Question := 'Do you wish to save it now?';
      if ProConfirmDialog.Execute then
      begin
        if (SaveDialog.FileName <> '') or (SaveDialog.Execute) then
        begin
          try
            SourceCodeRichEdit.Lines.SaveToFile(ChangeFileExt(SaveDialog.FileName, '.java'));
          finally
            Application.ProcessMessages;
            try
              ErrorMessagesRichEdit.Lines.SaveToFile(ChangeFileExt(SaveDialog.FileName, '.err'));
            finally
              Application.ProcessMessages;
              try
                HTMLRichEdit.Lines.SaveToFile(ChangeFileExt(SaveDialog.FileName, '.html'));
              finally
                Application.ProcessMessages;
                try
                  LogbookRichEdit.Lines.SaveToFile(ChangeFileExt(SaveDialog.FileName, '.log'));
                finally
                  Application.ProcessMessages;
                  try
                    SaveProjectSettingsToFile(ChangeFileExt(SaveDialog.FileName, '.jps'));
                  finally
                    Application.ProcessMessages;
                    ShiftRecentList;
                  end;
                end;
              end;
            end;
          end;
        end;
        Proceed := True;
      end
      else
      begin
        if not ProConfirmDialog.Cancel then Proceed := True
        else Proceed := False;
      end;
    end
    else
      Proceed := True;

    if Proceed then
    begin
      SourceCodeRichEdit.Lines.LoadFromFile(ChangeFileExt(SaveDialog.FileName, '.bak'));
      SetProjectUnmodified;

      RefreshXYPosIndication;
      if AutoSmartRefCheckBox.Checked then RefreshSmartRef;
    end;
  end
  else
  begin
    ProStopDialog.StopMessage := 'This project does not have a backup file!';
    ProStopDialog.Execute;
  end;
end; { Restore1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.FormShow(Sender: TObject);
var
  FileName                           : string;
  I                                  : Integer;
begin
  if SourcEdIni.ReadInteger('License', 'Accepted', 0) <> LicenseVer then
  begin
    with TLicenseForm.Create(Self) do
    try
      ShowModal;
      if not Accepted then
      begin
        SourcEdIni.WriteInteger('License', 'Accepted', 0);
        Application.Terminate;
      end
      else
        SourcEdIni.WriteInteger('License', 'Accepted', LicenseVer);
    finally
      Free;
    end;
  end;

  CompilerOpenDialog.FileName := SourcEdIni.ReadString('Paths', 'Compiler', 'C:\jdk\bin\javac.exe');
  if not FileExists(CompilerOpenDialog.FileName) then CompilerPath1Click(CompilerPath1);
  ViewerOpenDialog.FileName := SourcEdIni.ReadString('Paths', 'Viewer', 'C:\jdk\bin\appletviewer.exe');
  if not FileExists(ViewerOpenDialog.FileName) then ViewerPath1Click(ViewerPath1);
  ClassPathProSelDirDialog.Directory := SourcEdIni.ReadString('Paths', 'Classes', '');
  if (not (ClassPathProSelDirDialog.Directory = '')) then
  begin
    if (not DirectoryExists(ClassPathProSelDirDialog.Directory)) then SetClassPath1Click(SetClassPath1);
  end;

  if ParamCount > 0 then
  begin
    FileName := '';
    for I := 1 to ParamCount do FileName := FileName + ParamStr(I) + ' ';
    OpenDialog.FileName := FileName;
    OpenDialog.FileName := ExpandFileName(OpenDialog.FileName);
    SaveDialog.FileName := OpenDialog.FileName;

    MainForm.Caption := 'JSourcEd - ' + ExtractFileName(OpenDialog.FileName);

    ChDir(ExtractFilePath(OpenDialog.FileName));

    Application.ProcessMessages;
    if FileExists(OpenDialog.FileName) then
      SourceCodeRichEdit.Lines.LoadFromFile(OpenDialog.FileName)
    else
    begin
      SourceCodeRichEdit.Lines.Clear;
      ProInfoDialog.InfoMessage := 'Cannot open the source code file!';
      ProInfoDialog.Execute;
    end;

    Application.ProcessMessages;
    if FileExists(ChangeFileExt(OpenDialog.FileName, '.err')) then
      ErrorMessagesRichEdit.Lines.LoadFromFile(ChangeFileExt(OpenDialog.FileName, '.err'))
    else
    begin
      ErrorMessagesRichEdit.Lines.Clear;
      ProInfoDialog.InfoMessage := 'Cannot open the error messages file!';
      ProInfoDialog.Execute;
    end;

    Application.ProcessMessages;
    if FileExists(ChangeFileExt(OpenDialog.FileName, '.html')) then
      HTMLRichEdit.Lines.LoadFromFile(ChangeFileExt(OpenDialog.FileName, '.html'))
    else
    begin
      HTMLRichEdit.Lines.Clear;
      ProInfoDialog.InfoMessage := 'Cannot open the hypertext markup file!';
      ProInfoDialog.Execute;
    end;

    Application.ProcessMessages;
    if FileExists(ChangeFileExt(OpenDialog.FileName, '.log')) then
      LogbookRichEdit.Lines.LoadFromFile(ChangeFileExt(OpenDialog.FileName, '.log'))
    else
    begin
      LogbookRichEdit.Lines.Clear;
      ProInfoDialog.InfoMessage := 'Cannot open the logbook file!';
      ProInfoDialog.Execute;
    end;

    Application.ProcessMessages;
    LoadProjectSettingsFromFile(ChangeFileExt(OpenDialog.FileName, '.jps'));

    ShiftRecentList;
    SetProjectUnmodified;

    RefreshXYPosIndication;
    if AutoSmartRefCheckBox.Checked then RefreshSmartRef;
  end;
end; { FormShow }

{------------------------------------------------------------------------------}

procedure TMainForm.Upper1Click(Sender: TObject);
var
  I                                     : Integer;
  TempStr                               : string;
begin
  if PageControl.ActivePage = SourceCodeTabSheet then
  begin
    TempStr := SourceCodeRichEdit.SelText;
    for I := 1 to Length(SourceCodeRichEdit.SelText) do
      TempStr[I] := UpCase(TempStr[I]);
    SourceCodeRichEdit.SelText := TempStr;
  end
  else
  if PageControl.ActivePage = HTMLTabSheet then
  begin
    TempStr := HTMLRichEdit.SelText;
    for I := 1 to Length(HTMLRichEdit.SelText) do
      TempStr[I] := UpCase(TempStr[I]);
    HTMLRichEdit.SelText := TempStr;
  end
  else
  if PageControl.ActivePage = LogbookTabSheet then
  begin
    TempStr := LogbookRichEdit.SelText;
    for I := 1 to Length(LogbookRichEdit.SelText) do
      TempStr[I] := UpCase(TempStr[I]);
    LogbookRichEdit.SelText := TempStr;
  end;
end; { Upper1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.Lower1Click(Sender: TObject);
var
  I                                     : Integer;
  TempStr                               : string;
begin
  if PageControl.ActivePage = SourceCodeTabSheet then
  begin
    TempStr := SourceCodeRichEdit.SelText;
    for I := 1 to Length(SourceCodeRichEdit.SelText) do
    begin
      if TempStr[I] in ['A'..'Z'] then TempStr[I] := Chr(Ord(TempStr[I]) + 32);
    end;
    SourceCodeRichEdit.SelText := TempStr;
  end
  else
  if PageControl.ActivePage = HTMLTabSheet then
  begin
    TempStr := HTMLRichEdit.SelText;
    for I := 1 to Length(HTMLRichEdit.SelText) do
    begin
      if TempStr[I] in ['A'..'Z'] then TempStr[I] := Chr(Ord(TempStr[I]) + 32);
    end;
    HTMLRichEdit.SelText := TempStr;
  end
  else
  if PageControl.ActivePage = LogbookTabSheet then
  begin
    TempStr := LogbookRichEdit.SelText;
    for I := 1 to Length(LogbookRichEdit.SelText) do
    begin
      if TempStr[I] in ['A'..'Z'] then TempStr[I] := Chr(Ord(TempStr[I]) + 32);
    end;
    LogbookRichEdit.SelText := TempStr;
  end;
end; { Lower1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.Proper1Click(Sender: TObject);
var
  I                                     : Integer;
  TempStr                               : string;
begin
  if PageControl.ActivePage = SourceCodeTabSheet then
  begin
    TempStr := SourceCodeRichEdit.SelText;
    for I := 1 to Length(SourceCodeRichEdit.SelText) do
    begin
      if I = 1 then TempStr[I] := UpCase(TempStr[I])
      else
      begin
        if (TempStr[Pred(I)] in ['A'..'Z', 'a'..'z']) then
        begin
          if (TempStr[I] in ['A'..'Z']) then TempStr[I] := Chr(Ord(TempStr[I]) + 32);
        end
        else TempStr[I] := UpCase(TempStr[I]);
      end;
    end;
    SourceCodeRichEdit.SelText := TempStr;
  end
  else
  if PageControl.ActivePage = HTMLTabSheet then
  begin
    TempStr := HTMLRichEdit.SelText;
    for I := 1 to Length(HTMLRichEdit.SelText) do
    begin
      if I = 1 then TempStr[I] := UpCase(TempStr[I])
      else
      begin
        if (TempStr[Pred(I)] in ['A'..'Z', 'a'..'z']) then
        begin
          if (TempStr[I] in ['A'..'Z']) then TempStr[I] := Chr(Ord(TempStr[I]) + 32);
        end
        else TempStr[I] := UpCase(TempStr[I]);
      end;
    end;
    HTMLRichEdit.SelText := TempStr;
  end
  else
  if PageControl.ActivePage = LogbookTabSheet then
  begin
    TempStr := LogbookRichEdit.SelText;
    for I := 1 to Length(LogbookRichEdit.SelText) do
    begin
      if I = 1 then TempStr[I] := UpCase(TempStr[I])
      else
      begin
        if (TempStr[Pred(I)] in ['A'..'Z', 'a'..'z']) then
        begin
          if (TempStr[I] in ['A'..'Z']) then TempStr[I] := Chr(Ord(TempStr[I]) + 32);
        end
        else TempStr[I] := UpCase(TempStr[I]);
      end;
    end;
    LogbookRichEdit.SelText := TempStr;
  end;
end; { Proper1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.Invert1Click(Sender: TObject);
var
  I                                     : Integer;
  TempStr                               : string;
begin
  if PageControl.ActivePage = SourceCodeTabSheet then
  begin
    TempStr := SourceCodeRichEdit.SelText;
    for I := 1 to Length(SourceCodeRichEdit.SelText) do
    begin
      if TempStr[I] in ['A'..'Z'] then TempStr[I] := Chr(Ord(TempStr[I]) + 32)
      else
      if TempStr[I] in ['a'..'z'] then TempStr[I] := Chr(Ord(TempStr[I]) - 32);
    end;
    SourceCodeRichEdit.SelText := TempStr;
  end
  else
  if PageControl.ActivePage = HTMLTabSheet then
  begin
    TempStr := HTMLRichEdit.SelText;
    for I := 1 to Length(HTMLRichEdit.SelText) do
    begin
      if TempStr[I] in ['A'..'Z'] then TempStr[I] := Chr(Ord(TempStr[I]) + 32)
      else
      if TempStr[I] in ['a'..'z'] then TempStr[I] := Chr(Ord(TempStr[I]) - 32);
    end;
    HTMLRichEdit.SelText := TempStr;
  end
  else
  if PageControl.ActivePage = LogbookTabSheet then
  begin
    TempStr := LogbookRichEdit.SelText;
    for I := 1 to Length(LogbookRichEdit.SelText) do
    begin
      if TempStr[I] in ['A'..'Z'] then TempStr[I] := Chr(Ord(TempStr[I]) + 32)
      else
      if TempStr[I] in ['a'..'z'] then TempStr[I] := Chr(Ord(TempStr[I]) - 32);
    end;
    LogbookRichEdit.SelText := TempStr;
  end;
end; { Invert1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.Style1Click(Sender: TObject);
var
  I                                     : Integer;
  TempStr                               : string;
begin
  if PageControl.ActivePage = SourceCodeTabSheet then
  begin
    TempStr := SourceCodeRichEdit.SelText;
    for I := 1 to Length(SourceCodeRichEdit.SelText) do
    begin
      if UpCase(TempStr[I]) in ['B', 'C', 'D', 'F', 'G', 'H', 'J', 'K', 'L', 'M', 'N', 'P', 'Q', 'R', 'S', 'T', 'V', 'W', 'X', 'Z'] then TempStr[I] := UpCase(TempStr[I]);
      if TempStr[I] in ['A', 'E', 'I', 'O', 'U', 'Y'] then TempStr[I] := Chr(Ord(TempStr[I]) + 32);
    end;
    SourceCodeRichEdit.SelText := TempStr;
  end
  else
  if PageControl.ActivePage = HTMLTabSheet then
  begin
    TempStr := HTMLRichEdit.SelText;
    for I := 1 to Length(HTMLRichEdit.SelText) do
    begin
      if UpCase(TempStr[I]) in ['B', 'C', 'D', 'F', 'G', 'H', 'J', 'K', 'L', 'M', 'N', 'P', 'Q', 'R', 'S', 'T', 'V', 'W', 'X', 'Z'] then TempStr[I] := UpCase(TempStr[I]);
      if TempStr[I] in ['A', 'E', 'I', 'O', 'U', 'Y'] then TempStr[I] := Chr(Ord(TempStr[I]) + 32);
    end;
    HTMLRichEdit.SelText := TempStr;
  end
  else
  if PageControl.ActivePage = LogbookTabSheet then
  begin
    TempStr := LogbookRichEdit.SelText;
    for I := 1 to Length(LogbookRichEdit.SelText) do
    begin
      if UpCase(TempStr[I]) in ['B', 'C', 'D', 'F', 'G', 'H', 'J', 'K', 'L', 'M', 'N', 'P', 'Q', 'R', 'S', 'T', 'V', 'W', 'X', 'Z'] then TempStr[I] := UpCase(TempStr[I]);
      if TempStr[I] in ['A', 'E', 'I', 'O', 'U', 'Y'] then TempStr[I] := Chr(Ord(TempStr[I]) + 32);
    end;
    LogbookRichEdit.SelText := TempStr;
  end;
end; { Style1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.LineCount1Click(Sender: TObject);
var
  IndexA, IndexB                             : LongInt;
  Comment                                    : Boolean;
  Citation                                   : Boolean;
  LineCount                                  : LongInt;
  IndexedChar                                ,
  SuccIndexedChar                            ,
  PredIndexedChar                            : Char;
begin
  Comment := False;
  Citation := False;
  LineCount := 0;
  for IndexA := 0 to Pred(SourceCodeRichEdit.Lines.Count) do
  begin
    Application.ProcessMessages; {IMPORTANT!}
    for IndexB := 1 to Length(SourceCodeRichEdit.Lines[IndexA]) do
    begin
      PredIndexedChar := SourceCodeRichEdit.Lines[IndexA][Pred(IndexB)];
      IndexedChar := SourceCodeRichEdit.Lines[IndexA][IndexB];
      SuccIndexedChar := SourceCodeRichEdit.Lines[IndexA][Succ(IndexB)];

      if (not Comment) and (IndexedChar = '"') then Citation := not Citation;

      if (not Citation) and (not Comment) and
         (IndexedChar = '/') and
         (SuccIndexedChar = '/') then Break;

      if (not Citation) and (IndexedChar = '/') and
         (SuccIndexedChar = '*') then Comment := True;

      if (not Citation) and Comment and (IndexedChar = '/') and
         (PredIndexedChar = '*') then Comment := False;

      if (not Comment) and (not Citation) and (IndexedChar in ['0'..'9','A'..'Z','a'..'z']) then
      begin
        Inc(LineCount);
        Break;
      end;
    end;
  end;
  ProInfoDialog.InfoMessage := 'I have counted ' + IntToStr(SourceCodeRichEdit.Lines.Count) + ' lines of plain text' + #13#13 +
                               'it contained ' + IntToStr(LineCount) + ' lines of Java Source Code!';
  ProInfoDialog.Execute;
end; { LineCount1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.MatchBracket1Click(Sender: TObject);
var
  IndexA, IndexB                             : LongInt;
  Comment                                    : Boolean;
  Citation                                   : Boolean;
  Which                                      : Char;
  WhichEnd                                   : Char;
  BeginCount, EndCount                       : LongInt;
  LineStart, I                               : LongInt;
  StartPos                                   : Integer;
  IndexedChar                                ,
  SuccIndexedChar                            ,
  PredIndexedChar                            : Char;
begin
  try
    Which := SourceCodeRichEdit.Lines.Strings[(LongRec(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0)).Lo)][(SourceCodeRichEdit.SelStart + SourceCodeRichEdit.SelLength - SourceCodeRichEdit.Perform(EM_LINEINDEX, -1, 0) + 1)];
    case Ord(Which) of
      Ord('('): WhichEnd := ')';
      Ord('{'): WhichEnd := '}';
      Ord('['): WhichEnd := ']';
      else
      begin
        ProStopDialog.StopMessage := 'Unable to find the starting bracket!';
        ProStopDialog.Execute;
        Exit;
      end;
    end;
  except
    ProStopDialog.StopMessage := 'Unable to find the starting bracket!';
    ProStopDialog.Execute;
    Exit;
  end;

  Comment := False;
  Citation := False;

  BeginCount := 1;
  EndCount := 0;

  for IndexA := (LongRec(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0)).Lo) to Pred(SourceCodeRichEdit.Lines.Count) do
  begin
    if IndexA = (LongRec(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0)).Lo) then StartPos := Succ(SourceCodeRichEdit.SelStart + SourceCodeRichEdit.SelLength - SourceCodeRichEdit.Perform(EM_LINEINDEX, -1, 0) + 1)
    else StartPos := 1;

    Application.ProcessMessages; {IMPORTANT!}
    for IndexB := StartPos to Length(SourceCodeRichEdit.Lines[IndexA]) do
    begin
      PredIndexedChar := SourceCodeRichEdit.Lines[IndexA][Pred(IndexB)];
      IndexedChar := SourceCodeRichEdit.Lines[IndexA][IndexB];
      SuccIndexedChar := SourceCodeRichEdit.Lines[IndexA][Succ(IndexB)];

      if (not Comment) and (IndexedChar = '"') then Citation := not Citation;

      if (not Citation) and (not Comment) and
         (IndexedChar = '/') and
         (SuccIndexedChar = '/') then Break;

      if (not Citation) and (IndexedChar = '/') and
         (SuccIndexedChar = '*') then Comment := True;

      if (not Citation) and Comment and (IndexedChar = '/') and
         (PredIndexedChar = '*') then Comment := False;

      if (not Comment) and (not Citation) then
      begin
        if (IndexedChar = Which) then
        begin
          Inc(BeginCount);
          if BeginCount = EndCount then
          begin
            SourceCodeRichEdit.SetFocus;
            LineStart := 0;
            for I := 0 to (IndexA - 1) do
              LineStart := LineStart + Length(SourceCodeRichEdit.Lines[I]) + 2;
            LineStart := LineStart + IndexB - 1;
            SourceCodeRichEdit.SelStart := LineStart;
            SourceCodeRichEdit.SelLength := 0;
            SourceCodeRichEdit.Perform(EM_SCROLLCARET, 0, 0);

            if AutoSmartRefCheckBox.Checked then RefreshSmartRef;
            RefreshXYPosIndication;

            Exit;
          end;
        end
        else
        if (IndexedChar = WhichEnd) then
        begin
          Inc(EndCount);
          if BeginCount = EndCount then
          begin
            SourceCodeRichEdit.SetFocus;
            LineStart := 0;
            for I := 0 to (IndexA - 1) do
              LineStart := LineStart + Length(SourceCodeRichEdit.Lines[I]) + 2;
            LineStart := LineStart + IndexB - 1;
            SourceCodeRichEdit.SelStart := LineStart;
            SourceCodeRichEdit.SelLength := 0;
            SourceCodeRichEdit.Perform(EM_SCROLLCARET, 0, 0);

            if AutoSmartRefCheckBox.Checked then RefreshSmartRef;
            RefreshXYPosIndication;

            Exit;
          end;
        end;
      end;
    end;
  end;
end; { Match1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.Bookmarks1Click(Sender: TObject);
begin
  with TBookmarkForm.Create(Self) do
  try
    ShowModal;
  finally
    Free;
  end;
end; { Bookmarks1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.EditorProColorGridChange(Sender: TObject);

  function Convert16to16K(Index: Byte): TColor;
  begin
    case Index of
      0: Convert16to16K := clBlack;
      1: Convert16to16K := clMaroon;
      2: Convert16to16K := clGreen;
      3: Convert16to16K := clOlive;
      4: Convert16to16K := clNavy;
      5: Convert16to16K := clPurple;
      6: Convert16to16K := clTeal;
      7: Convert16to16K := clGray;
      8: Convert16to16K := clSilver;
      9: Convert16to16K := clRed;
     10: Convert16to16K := clLime;
     11: Convert16to16K := clYellow;
     12: Convert16to16K := clBlue;
     13: Convert16to16K := clFuchsia;
     14: Convert16to16K := clAqua;
     15: Convert16to16K := clWhite;
     else Convert16to16K := clBtnFace;
    end;
  end; { Convert16to16K }

begin
  SourceCodeRichEdit.Font.Color := Convert16to16K(EditorProColorGrid.ForeIndex);
  SourceCodeRichEdit.Color := Convert16to16K(EditorProColorGrid.BackIndex);
  ErrorMessagesRichEdit.Font.Color := Convert16to16K(EditorProColorGrid.ForeIndex);
  ErrorMessagesRichEdit.Color := Convert16to16K(EditorProColorGrid.BackIndex);
  HTMLRichEdit.Font.Color := Convert16to16K(EditorProColorGrid.ForeIndex);
  HTMLRichEdit.Color := Convert16to16K(EditorProColorGrid.BackIndex);
  LogbookRichEdit.Font.Color := Convert16to16K(EditorProColorGrid.ForeIndex);
  LogbookRichEdit.Color := Convert16to16K(EditorProColorGrid.BackIndex);
  SetProjectModified(False);
end; { EditorProColorGridChange }

{------------------------------------------------------------------------------}

procedure TMainForm.HTMLRichEditChange(Sender: TObject);
begin
  SetProjectModified(False);
  RefreshXYPosIndication;
end; { HTMLRichEditChange }

{------------------------------------------------------------------------------}

procedure TMainForm.HTMLRichEditKeyUp(Sender: TObject; var Key: Word; Shift: TShiftState);
begin
  if (Key = VK_INSERT) and (Shift = []) then
  begin
    HTMLInsert := not HTMLInsert;
    RefreshInsertIndication;
  end
  else
  if (Key = VK_F2) and (Shift = []) then
  begin
    HTMLRichEdit.Refresh;
  end;
  RefreshXYPosIndication;
end; { HTMLRichEditKeyUp }

{------------------------------------------------------------------------------}

procedure TMainForm.HTMLRichEditMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  RefreshXYPosIndication;
end; { HTMLRichEditMouseDown }

{------------------------------------------------------------------------------}

procedure TMainForm.HTMLRichEditSelectionChange(Sender: TObject);
begin
  if HTMLRichEdit.SelLength > 0 then
  begin
    Cut1.Enabled := True;
    Copy1.Enabled := True;
    Delete1.Enabled := True;
    Change1.Enabled := True;
  end
  else
  begin
    Cut1.Enabled := False;
    Copy1.Enabled := False;
    Delete1.Enabled := False;
    Change1.Enabled := False;
  end;
  Cut2.Enabled := Cut1.Enabled;
  Copy2.Enabled := Copy1.Enabled;
  Delete2.Enabled := Delete1.Enabled;
  ProSpeedButton7.Enabled := Cut1.Enabled;
  ProSpeedButton8.Enabled := Copy1.Enabled;
  ProSpeedButton10.Enabled := Delete1.Enabled;
end; { HTMLRichEditSelectionChange }

{------------------------------------------------------------------------------}

procedure TMainForm.ImportClick(Sender: TObject);
begin
  if Sender = SourceCode1 then
  begin
    ImportDialog.FilterIndex := 2;
    if ImportDialog.Execute then
    begin
      SourceCodeRichEdit.Lines.LoadFromFile(ImportDialog.FileName);
      PageControl.ActivePage := SourceCodeTabSheet;
      PageControlChange(SourceCodeTabSheet);
    end;
  end
  else
  if Sender = ErrorMessages1 then
  begin
    ImportDialog.FilterIndex := 3;
    if ImportDialog.Execute then
    begin
      ErrorMessagesRichEdit.Lines.LoadFromFile(ImportDialog.FileName);
      PageControl.ActivePage := ErrorMessagesTabSheet;
      PageControlChange(ErrorMessagesTabSheet);
    end;
  end
  else
  if Sender = HyperTextMarkup1 then
  begin
    ImportDialog.FilterIndex := 4;
    if ImportDialog.Execute then
    begin
      HTMLRichEdit.Lines.LoadFromFile(ImportDialog.FileName);
      PageControl.ActivePage := HTMLTabSheet;
      PageControlChange(HTMLTabSheet);
    end;
  end
  else
  if Sender = Logbook1 then
  begin
    ImportDialog.FilterIndex := 5;
    if ImportDialog.Execute then
    begin
      LogbookRichEdit.Lines.LoadFromFile(ImportDialog.FileName);
      PageControl.ActivePage := LogbookTabSheet;
      PageControlChange(LogbookTabSheet);
    end;
  end
  else
  if Sender = ProjectSettings1 then
  begin
    ImportDialog.FilterIndex := 6;
    if ImportDialog.Execute then
    begin
      LoadProjectSettingsFromFile(ImportDialog.FileName);
      PageControl.ActivePage := ProjectSettingsTabSheet;
      PageControlChange(ProjectSettingsTabSheet);
    end;
  end;
end; { ImportClick }

{------------------------------------------------------------------------------}

procedure TMainForm.ExportClick(Sender: TObject);
begin
  if Sender = SourceCode2 then
  begin
    ExportDialog.FilterIndex := 2;
    if ExportDialog.Execute and (not WriteProtected(ExportDialog.FileName)) then
      SourceCodeRichEdit.Lines.SaveToFile(ExportDialog.FileName);
  end
  else
  if Sender = ErrorMessages2 then
  begin
    ExportDialog.FilterIndex := 3;
    if ExportDialog.Execute and (not WriteProtected(ExportDialog.FileName)) then
      ErrorMessagesRichEdit.Lines.SaveToFile(ExportDialog.FileName);
  end
  else
  if Sender = HyperTextMarkup2 then
  begin
    ExportDialog.FilterIndex := 4;
    if ExportDialog.Execute and (not WriteProtected(ExportDialog.FileName)) then
      HTMLRichEdit.Lines.SaveToFile(ExportDialog.FileName);
  end
  else
  if Sender = Logbook2 then
  begin
    ExportDialog.FilterIndex := 5;
    if ExportDialog.Execute and (not WriteProtected(ExportDialog.FileName)) then
      LogbookRichEdit.Lines.SaveToFile(ExportDialog.FileName);
  end
  else
  if Sender = ProjectSettings2 then
  begin
    ExportDialog.FilterIndex := 6;
    if ExportDialog.Execute and (not WriteProtected(ExportDialog.FileName)) then
      SaveProjectSettingsToFile(ExportDialog.FileName);
  end;
end; { ExportClick }

{------------------------------------------------------------------------------}

procedure TMainForm.SourceSummary1Click(Sender: TObject);
var
  IndexA, IndexB                                 : LongInt;
  LineStart                                      : LongInt;
  Comment                                        : Boolean;
  Citation                                       : Boolean;
  I                                              : Integer;
  IndexedChar                                    ,
  SuccIndexedChar                                ,
  PredIndexedChar                                : Char;
begin
  with TSummaryForm.Create(Self) do
  try
    ProListBox.Items.Clear;
    LineNo.Clear;

    Comment := False;
    Citation := False;
    for IndexA := 0 to Pred(SourceCodeRichEdit.Lines.Count) do
    begin
      Application.ProcessMessages; {IMPORTANT!}
      for IndexB := 1 to Length(SourceCodeRichEdit.Lines[IndexA]) do
      begin
        PredIndexedChar := SourceCodeRichEdit.Lines[IndexA][Pred(IndexB)];
        IndexedChar := SourceCodeRichEdit.Lines[IndexA][IndexB];
        SuccIndexedChar := SourceCodeRichEdit.Lines[IndexA][Succ(IndexB)];

        if (not Comment) and (IndexedChar = '"') then Citation := not Citation;

        if (not Citation) and (not Comment) and
           (IndexedChar = '/') and
           (SuccIndexedChar = '/') then Break;

        if (not Citation) and (IndexedChar = '/') and
           (SuccIndexedChar = '*') then Comment := True;

        if (not Citation) and Comment and (IndexedChar = '/') and
           (PredIndexedChar = '*') then Comment := False;

        if ((not Comment) and (not Citation)) and
          ((IndexB = 1) and (
           ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 6)) = 'CLASS ')) or
           ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 7)) = 'PUBLIC ')) or
           ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 8)) = 'PRIVATE ')) or
           ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 10)) = 'PROTECTED ')) or
           ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 8)) = 'PACKAGE '))) or
           ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 7)) = ' CLASS ')) or
           ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 8)) = ' PUBLIC ')) or
           ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 9)) = ' PRIVATE ')) or
           ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 11)) = ' PROTECTED ')) or
           ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 9)) = ' PACKAGE ')) or
           ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 7)) = #9'CLASS ')) or
           ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 8)) = #9'PUBLIC ')) or
           ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 9)) = #9'PRIVATE ')) or
           ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 11)) = #9'PROTECTED ')) or
           ((UpperCase(Copy(SourceCodeRichEdit.Lines[IndexA], IndexB, 9)) = #9'PACKAGE '))) then
        begin
          ProListBox.Items.Add(StringReplace(SourceCodeRichEdit.Lines[IndexA], #9, '      ', [rfReplaceAll]));
          LineNo.Add(IntToStr(Succ(IndexA)));
          Break;
        end;
      end;
    end;

    ShowModal;

    if WhichLine > -1 then
    begin
      LineStart := 0;
      for I := 0 to (WhichLine - 2) do
        LineStart := LineStart + Length(SourceCodeRichEdit.Lines[I]) + 2;
      SourceCodeRichEdit.SelStart := LineStart;
      SourceCodeRichEdit.SelLength := 0;
      SourceCodeRichEdit.Perform(EM_SCROLLCARET, 0, 0);

      if AutoSmartRefCheckBox.Checked then RefreshSmartRef;
      RefreshXYPosIndication;

      Exit;
    end;
  finally
    Free;
  end;
end; { ClassExplorer1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.JarMaker1Click(Sender: TObject);
begin
  with TMakerForm.Create(Self) do
  try
    JarPath := CompilerOpenDialog.FileName;
    ShowModal;
  finally
    Free;
  end;
end; { JarMaker1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.SourceCodeRichEditKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
var
  CurrentPos                                          : Integer;
begin
  if SourceCodeRichEdit.Lines.Count < OldLineCount then
  begin
    CurrentPos := LongRec(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0)).Lo + 1;
    if CurrentPos < Marker1 then Dec(Marker1, OldLineCount - SourceCodeRichEdit.Lines.Count);
    if CurrentPos < Marker2 then Dec(Marker2, OldLineCount - SourceCodeRichEdit.Lines.Count);
    if CurrentPos < Marker3 then Dec(Marker3, OldLineCount - SourceCodeRichEdit.Lines.Count);
    if CurrentPos < Marker4 then Dec(Marker4, OldLineCount - SourceCodeRichEdit.Lines.Count);
    if CurrentPos < Marker5 then Dec(Marker5, OldLineCount - SourceCodeRichEdit.Lines.Count);
    if CurrentPos < Marker6 then Dec(Marker6, OldLineCount - SourceCodeRichEdit.Lines.Count);
    if CurrentPos < Marker7 then Dec(Marker7, OldLineCount - SourceCodeRichEdit.Lines.Count);
    if CurrentPos < Marker8 then Dec(Marker8, OldLineCount - SourceCodeRichEdit.Lines.Count);
    if CurrentPos < Marker9 then Dec(Marker9, OldLineCount - SourceCodeRichEdit.Lines.Count);
    if CurrentPos < Marker0 then Dec(Marker0, OldLineCount - SourceCodeRichEdit.Lines.Count);
  end
  else
  if SourceCodeRichEdit.Lines.Count > OldLineCount then
  begin
    CurrentPos := LongRec(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0)).Lo;
    if CurrentPos <= Marker1 then Inc(Marker1, SourceCodeRichEdit.Lines.Count - OldLineCount);
    if CurrentPos <= Marker2 then Inc(Marker2, SourceCodeRichEdit.Lines.Count - OldLineCount);
    if CurrentPos <= Marker3 then Inc(Marker3, SourceCodeRichEdit.Lines.Count - OldLineCount);
    if CurrentPos <= Marker4 then Inc(Marker4, SourceCodeRichEdit.Lines.Count - OldLineCount);
    if CurrentPos <= Marker5 then Inc(Marker5, SourceCodeRichEdit.Lines.Count - OldLineCount);
    if CurrentPos <= Marker6 then Inc(Marker6, SourceCodeRichEdit.Lines.Count - OldLineCount);
    if CurrentPos <= Marker7 then Inc(Marker7, SourceCodeRichEdit.Lines.Count - OldLineCount);
    if CurrentPos <= Marker8 then Inc(Marker8, SourceCodeRichEdit.Lines.Count - OldLineCount);
    if CurrentPos <= Marker9 then Inc(Marker9, SourceCodeRichEdit.Lines.Count - OldLineCount);
    if CurrentPos <= Marker0 then Inc(Marker0, SourceCodeRichEdit.Lines.Count - OldLineCount);
  end;
  OldLineCount := SourceCodeRichEdit.Lines.Count;
  RefreshXYPosIndication;
end; { SourceCodeRichEditKeyDown }

{------------------------------------------------------------------------------}

procedure TMainForm.ErrorMessagesRichEditKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
begin
  RefreshXYPosIndication;
end; { ErrorMessagesRichEditKeyDown }

{------------------------------------------------------------------------------}

procedure TMainForm.HTMLRichEditKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
begin
  RefreshXYPosIndication;
end; { HTMLRichEditKeyDown }

{------------------------------------------------------------------------------}

procedure TMainForm.LogbookRichEditKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
begin
  RefreshXYPosIndication;
end; { LogbookRichEditKeyDown }

{------------------------------------------------------------------------------}

procedure TMainForm.NameEditChange(Sender: TObject);
begin
  SetProjectModified(False);
end; { NameEditChange }

{------------------------------------------------------------------------------}

procedure TMainForm.MailEditChange(Sender: TObject);
begin
  SetProjectModified(False);
end; { MailEditChange }

{------------------------------------------------------------------------------}

procedure TMainForm.HomepageEditChange(Sender: TObject);
begin
  SetProjectModified(False);
end; { HomepageEditChange }

{------------------------------------------------------------------------------}

procedure TMainForm.DateTime1Click(Sender: TObject);
begin
  LogbookRichEdit.SelText := FormatDateTime('dd mmm yyyy  hh:nn', Now);
end; { DateTime1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.BuildBuildTime1Click(Sender: TObject);
begin
  LogbookRichEdit.SelText := IntToStr(BuildCount) + ' (' + IntToStr(BuildTime) + ' minutes)';
end; { BuildBuildTime1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.GenerateHTMLCode1Click(Sender: TObject);
begin
  with TGenerateForm.Create(Self) do
  try
    ShowModal;
    if OKClicked then
    begin
      if What = 1 then
      begin
        HTMLRichEdit.Lines.Insert(HTMLRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/REC-html40/loose.dtd">');
        HTMLRichEdit.Lines.Insert(HTMLRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '');
        HTMLRichEdit.Lines.Insert(HTMLRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '<HTML>');
        HTMLRichEdit.Lines.Insert(HTMLRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '<HEAD>');
        HTMLRichEdit.Lines.Insert(HTMLRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '<META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=utf-8">');
        HTMLRichEdit.Lines.Insert(HTMLRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '<TITLE>' + ExtractFileName(SaveDialog.FileName) + '</TITLE>');
        HTMLRichEdit.Lines.Insert(HTMLRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '</HEAD>');
        HTMLRichEdit.Lines.Insert(HTMLRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '<MAIN>');
      end;
      HTMLRichEdit.Lines.Insert(HTMLRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '<APPLET CODE="' + ExtractFileName(ChangeFileExt(SaveDialog.FileName, '.class')) +
                                '" WIDTH=' + IntToStr(Width) + ' HEIGHT=' + IntToStr(Height) + '></APPLET>');
      if What = 1 then
      begin
        HTMLRichEdit.Lines.Insert(HTMLRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '</MAIN>');
        HTMLRichEdit.Lines.Insert(HTMLRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '</HTML>');
      end;
    end;
  finally
    Free;
  end;
end; { GenerateHTMLCode1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.javaapplet1Click(Sender: TObject);
begin
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '  import java.applet.*;');
end; { javaapplet1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.javaawt1Click(Sender: TObject);
begin
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '  import java.awt.*;');
end; { javaawt1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.javaawtevent1Click(Sender: TObject);
begin
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '  import java.awt.event.*;');
end; { javaawtevent1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.javaawtprint1Click(Sender: TObject);
begin
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '  import java.awt.print.*;');
end; { javaawtprint1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.javaio1Click(Sender: TObject);
begin
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '  import java.io.*;');
end; { javaio1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.javautil1Click(Sender: TObject);
begin
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '  import java.util.*;');
end; { javautil1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.javautildate1Click(Sender: TObject);
begin
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '  import java.util.date.*;');
end; { javautildate1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.javanet1Click(Sender: TObject);
begin
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '  import java.net.*;');
end; { javanet1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.javamath1Click(Sender: TObject);
begin
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '  import java.math.*;');
end; { javamath1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.action1Click(Sender: TObject);
begin
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    public boolean actionPerformed(Event e, Object o)');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // action');
end; { action1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.actionPerformed1Click(Sender: TObject);
begin
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    public void actionPerformed(ActionEvent e)');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // actionPerformed');
end; { actionPerformed1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.mousePressed1Click(Sender: TObject);
begin
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    public void mousePressed(MouseEvent e)');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // mousePressed');
end; { mousePressed1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.mouseReleased1Click(Sender: TObject);
begin
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    public void mouseReleased(MouseEvent e)');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // mouseReleased');
end; { mouseReleased1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.mouseEntered1Click(Sender: TObject);
begin
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    public void mouseEntered(MouseEvent e)');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // mouseEntered');
end; { mouseEntered1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.mouseExited1Click(Sender: TObject);
begin
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    public void mouseExited(MouseEvent e)');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // mouseExited');
end; { mouseExited1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.mouseClicked1Click(Sender: TObject);
begin
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    public void mouseClicked(MouseEvent e)');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // mouseClicked');
end; { mouseClicked1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.keyPressed1Click(Sender: TObject);
begin
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    public void keyPressed(KeyEvent e)');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // keyPressed');
end; { keyPressed1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.keyReleased1Click(Sender: TObject);
begin
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    public void keyReleased(KeyEvent e)');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // keyReleased');
end; { keyReleased1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.keyTyped1Click(Sender: TObject);
begin
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    public void keyTyped(KeyEvent e)');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // keyTyped');
end; { keyTyped1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.windowOpening1Click(Sender: TObject);
begin
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    public void windowOpening(WindowEvent e)');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // windowOpening');
end; { windowOpening1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.windowClosing1Click(Sender: TObject);
begin
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    public void windowClosing(WindowEvent e)');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // windowClosing');
end; { windowClosing1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.windowClosed1Click(Sender: TObject);
begin
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    public void windowClosed(WindowEvent e)');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // windowClosed');
end; { windowClosed1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.windowIconified1Click(Sender: TObject);
begin
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    public void windowIconified(WindowEvent e)');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // windowIconified');
end; { windowIconified1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.windowDeiconified1Click(Sender: TObject);
begin
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    public void windowDeiconified(WindowEvent e)');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // windowDeiconified');
end; { windowDeiconified1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.windowActivated1Click(Sender: TObject);
begin
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    public void windowActivated(WindowEvent e)');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // windowActivated');
end; { windowActivated1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.windowDeactivated1Click(Sender: TObject);
begin
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    public void windowDeactivated(WindowEvent e)');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    {');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '    } // windowDeactivated');
end; { windowDeactivated1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.Header1Click(Sender: TObject);
begin
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '/*----------------------------------------------------------------------------*/');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '/*                                                                            */');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '/*  <program name> <program version>                                          */');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '/*  written with Java SDK <java version>                                      */');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '/*                                                                            */');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '/*  Copyright (c) <year> by <author>                                          */');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '/*  All rights reserved worldwide                                             */');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '/*                                                                            */');
  SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), '/*----------------------------------------------------------------------------*/');
  SourceCodeRichEdit.Repaint; {IMPORTANT!}
end; { Header1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.MacroClick(Sender: TObject);
var
  WhichFile                            : string;
  Macro                                : TStringList;
  I                                    : Integer;
begin
  if Sender = Macro1 then WhichFile := SourcEdIni.ReadString('Macros', '1', '')
  else
  if Sender = Macro2 then WhichFile := SourcEdIni.ReadString('Macros', '2', '')
  else
  if Sender = Macro3 then WhichFile := SourcEdIni.ReadString('Macros', '3', '')
  else
  if Sender = Macro4 then WhichFile := SourcEdIni.ReadString('Macros', '4', '')
  else
  if Sender = Macro5 then WhichFile := SourcEdIni.ReadString('Macros', '5', '')
  else
  if Sender = Macro6 then WhichFile := SourcEdIni.ReadString('Macros', '6', '')
  else
  if Sender = Macro7 then WhichFile := SourcEdIni.ReadString('Macros', '7', '')
  else
  if Sender = Macro8 then WhichFile := SourcEdIni.ReadString('Macros', '8', '')
  else
  if Sender = Macro9 then WhichFile := SourcEdIni.ReadString('Macros', '9', '')
  else
  if Sender = Macro10 then WhichFile := SourcEdIni.ReadString('Macros', '10', '');
  Macro := TStringList.Create;
  Macro.LoadFromFile(WhichFile);
  for I := 0 to Pred(Macro.Count) do
  begin
    SourceCodeRichEdit.Lines.Insert(SourceCodeRichEdit.Perform(EM_LINEFROMCHAR, -1, 0), Macro[I]);
  end;
  Macro.Free;
end; { MacroClick }

{------------------------------------------------------------------------------}

procedure TMainForm.CodeChecksum1Click(Sender: TObject);
var
  IndexA, IndexB                             : LongInt;
  Comment                                    : Boolean;
  Citation                                   : Boolean;
  Checksum                                   : LongInt;
  IndexedChar                                ,
  SuccIndexedChar                            ,
  PredIndexedChar                            : Char;
begin
  Comment := False;
  Citation := False;

  InitCRC32(Checksum);
  for IndexA := 0 to Pred(SourceCodeRichEdit.Lines.Count) do
  begin
    Application.ProcessMessages; {IMPORTANT!}
    for IndexB := 1 to Length(SourceCodeRichEdit.Lines[IndexA]) do
    begin
      PredIndexedChar := SourceCodeRichEdit.Lines[IndexA][Pred(IndexB)];
      IndexedChar := SourceCodeRichEdit.Lines[IndexA][IndexB];
      SuccIndexedChar := SourceCodeRichEdit.Lines[IndexA][Succ(IndexB)];

      if (not Comment) and (IndexedChar = '"') then Citation := not Citation;

      if (not Citation) and (not Comment) and
         (IndexedChar = '/') and
         (SuccIndexedChar = '/') then Break;

      if (not Citation) and (IndexedChar = '/') and
         (SuccIndexedChar = '*') then Comment := True;

      if (not Citation) and Comment and (IndexedChar = '/') and
         (PredIndexedChar = '*') then Comment := False;

      if (IndexedChar <> ' ') and (not Comment) then
        UpdateCRC32(Checksum, Ord(IndexedChar))
      else
      begin
        if (not Comment) and Citation then UpdateCRC32(Checksum, Ord(IndexedChar));
      end;

    end;
  end;
  FinishCRC32(Checksum);
  ProInfoDialog.InfoMessage := 'Your source code has the following checksum: 0' + IntToHex(Checksum, 8) + 'h';
  ProInfoDialog.Execute;
end; { CodeChecksum1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.AssociateJavaFilesWithJSourcEd1Click(Sender: TObject);
begin
  AssociateJavaFilesWithJSourcEd1.Checked := not AssociateJavaFilesWithJSourcEd1.Checked;
  if AssociateJavaFilesWithJSourcEd1.Checked then SetShellExt.Install
  else SetShellExt.UnInstall;
  ProInfoDialog.InfoMessage := 'On some systems, changes might not take effect immediately, it is recommended that your system is rebooted!';
  ProInfoDialog.Execute;
end; { AssociateJavaFileswithJSourcEd1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.NotesEditChange(Sender: TObject);
begin
  SetProjectModified(False);
end; { NotesEditChange }

{------------------------------------------------------------------------------}

procedure TMainForm.KeywordCheckBoxClick(Sender: TObject);
begin
  if KeywordCheckBox.Checked = True then
  begin
    KeywordSplitter.Visible := True;
    KeywordPanel.Visible := True;
  end
  else
  begin
    KeywordSplitter.Visible := False;
    KeywordPanel.Visible := False;
  end;
  RefreshSmartRef;
  SetProjectModified(False);
end; { KeywordCheckBoxClick }

{------------------------------------------------------------------------------}

procedure TMainForm.SetClassPath1Click(Sender: TObject);
begin
  if ClassPathProSelDirDialog.Execute then
  begin
    SourcEdIni.WriteString('Paths', 'Classes', ClassPathProSelDirDialog.Directory);
  end;
end; { SetClassPath1Click }

{------------------------------------------------------------------------------}

procedure TMainForm.FileName1Click(Sender: TObject);
begin
  with TFileNameForm.Create(Self) do
  try
    RelativePath := ExtractFilePath(OpenDialog.FileName);
    ShowModal;
    if OKClicked then
    begin
      SourceCodeRichEdit.SelText := FileName;
    end;
  finally
    Free;
  end;
end;

{------------------------------------------------------------------------------}

end. { SourcEd1 }
